Mon Nov 30 16:13:23 2009 UTC ()
Support "extsrc", externally added programs and libraries.  Users can write
their own reach-overs, cross-build, install, and get set files just like base
and X11 / X.org.  (These sets are not included as TNF releases.)


(uebayasi)
diff -r1.89 -r1.90 src/BUILDING
diff -r1.274 -r1.275 src/Makefile
diff -r1.221 -r1.222 src/build.sh
diff -r1.70 -r1.71 src/distrib/sets/Makefile
diff -r1.34 -r1.35 src/distrib/sets/checkflist
diff -r1.14 -r1.15 src/distrib/sets/comments
diff -r1.10 -r1.11 src/distrib/sets/deps
diff -r1.15 -r1.16 src/distrib/sets/descrs
diff -r1.74 -r1.75 src/distrib/sets/makeflist
diff -r1.29 -r1.30 src/distrib/sets/makeobsolete
diff -r1.37 -r1.38 src/distrib/sets/makesrctars
diff -r1.69 -r1.70 src/distrib/sets/maketars
diff -r1.91 -r1.92 src/distrib/sets/sets.subr
diff -r1.373 -r1.374 src/etc/Makefile
diff -r1.10 -r1.11 src/etc/mtree/Makefile
diff -r1.259 -r1.260 src/share/mk/bsd.README
diff -r1.597 -r1.598 src/share/mk/bsd.own.mk
diff -r1.185 -r1.186 src/share/mk/bsd.sys.mk

cvs diff -r1.89 -r1.90 src/BUILDING (expand / switch to unified diff)

--- src/BUILDING 2009/10/10 19:05:28 1.89
+++ src/BUILDING 2009/11/30 16:13:22 1.90
@@ -64,26 +64,29 @@ FILES @@ -64,26 +64,29 @@ FILES
64 64
65 tools/ ``Reachover'' build structure for the host build tools. 65 tools/ ``Reachover'' build structure for the host build tools.
66 This has a special method of determining out-of-date sta- 66 This has a special method of determining out-of-date sta-
67 tus. 67 tus.
68 68
69 bin/ ... usr.sbin/ 69 bin/ ... usr.sbin/
70 Sources to the NetBSD userland (non-kernel) programs. If 70 Sources to the NetBSD userland (non-kernel) programs. If
71 any of these directories are missing, they will be skipped 71 any of these directories are missing, they will be skipped
72 during the build. 72 during the build.
73 73
74 x11/ ``Reachover'' build structure for X11R6; the source is in 74 x11/ ``Reachover'' build structure for X11R6; the source is in
75 X11SRCDIR. 75 X11SRCDIR.
76 76
 77 extsrc/ ``Reachover'' build structure for externally added programs
 78 and libraries; the source is in EXTSRCSRCDIR.
 79
77 Build tree layout 80 Build tree layout
78 The NetBSD build tree is described in hier(7), and the release layout is 81 The NetBSD build tree is described in hier(7), and the release layout is
79 described in release(7). 82 described in release(7).
80 83
81CONFIGURATION 84CONFIGURATION
82 Environment variables 85 Environment variables
83 Several environment variables control the behaviour of NetBSD builds. 86 Several environment variables control the behaviour of NetBSD builds.
84 87
85 HOST_SH Path name to a POSIX-compliant shell. If this is not 88 HOST_SH Path name to a POSIX-compliant shell. If this is not
86 set explicitly, then the default is set using heuris- 89 set explicitly, then the default is set using heuris-
87 tics dependent on the host platform, or from the shell 90 tics dependent on the host platform, or from the shell
88 under which build.sh is executed (if that can be deter- 91 under which build.sh is executed (if that can be deter-
89 mined), or using the first copy of sh found in PATH. 92 mined), or using the first copy of sh found in PATH.
@@ -154,26 +157,33 @@ CONFIGURATION @@ -154,26 +157,33 @@ CONFIGURATION
154 their default use of the host system's /usr/include, 157 their default use of the host system's /usr/include,
155 /usr/lib, and so forth. This pathname must be an absolute 158 /usr/lib, and so forth. This pathname must be an absolute
156 path, and should not end with a slash (/) character. (For 159 path, and should not end with a slash (/) character. (For
157 installation into the system's root directory, set DESTDIR to 160 installation into the system's root directory, set DESTDIR to
158 an empty string, not to ``/''). The directory must reside on 161 an empty string, not to ``/''). The directory must reside on
159 a file system which supports long file names and hard links. 162 a file system which supports long file names and hard links.
160 163
161 Default: Empty string if USETOOLS is ``yes''; unset other- 164 Default: Empty string if USETOOLS is ``yes''; unset other-
162 wise. 165 wise.
163 166
164 Note: build.sh will provide a default of destdir.MACHINE (in 167 Note: build.sh will provide a default of destdir.MACHINE (in
165 the top-level .OBJDIR) unless run in `expert' mode. 168 the top-level .OBJDIR) unless run in `expert' mode.
166 169
 170 EXTSRCSRCDIR
 171 Directory containing sources of externally added programs
 172 and libraries. If specified, must be an absolute path.
 173
 174 Default: NETBSDRCDIR/../extsrc, if that exists; otherwise
 175 /usr/extsrc.
 176
167 MAKECONF The name of the make(1) configuration file. Only settable in 177 MAKECONF The name of the make(1) configuration file. Only settable in
168 the process environment. 178 the process environment.
169 179
170 Default: ``/etc/mk.conf'' 180 Default: ``/etc/mk.conf''
171 181
172 MAKEVERBOSE 182 MAKEVERBOSE
173 Level of verbosity of status messages. Supported values: 183 Level of verbosity of status messages. Supported values:
174 184
175 0 No descriptive messages or commands executed by make(1) 185 0 No descriptive messages or commands executed by make(1)
176 are shown. 186 are shown.
177 187
178 1 Brief messages are shown describing what is being done, 188 1 Brief messages are shown describing what is being done,
179 but the actual commands executed by make(1) are not dis- 189 but the actual commands executed by make(1) are not dis-
@@ -202,26 +212,31 @@ CONFIGURATION @@ -202,26 +212,31 @@ CONFIGURATION
202 graphic code will be included in a build; provided for the 212 graphic code will be included in a build; provided for the
203 benefit of countries that do not allow strong cryptography. 213 benefit of countries that do not allow strong cryptography.
204 Will not affect use of the standard low-security password 214 Will not affect use of the standard low-security password
205 encryption system, crypt(3). 215 encryption system, crypt(3).
206 216
207 Default: ``yes'' 217 Default: ``yes''
208 218
209 MKDOC Can be set to ``yes'' or ``no''. Indicates whether system 219 MKDOC Can be set to ``yes'' or ``no''. Indicates whether system
210 documentation destined for DESTDIR/usr/share/doc will be 220 documentation destined for DESTDIR/usr/share/doc will be
211 installed during a build. 221 installed during a build.
212 222
213 Default: ``yes'' 223 Default: ``yes''
214 224
 225 MKEXTSRC Can be set to ``yes'' or ``no''. Indicates whether extsrc is
 226 built from EXTSRCSRCDIR.
 227
 228 Default: ``no''
 229
215 MKHTML Can be set to ``yes'' or ``no''. Indicates whether prefor- 230 MKHTML Can be set to ``yes'' or ``no''. Indicates whether prefor-
216 matted HTML manual pages will be built and installed 231 matted HTML manual pages will be built and installed
217 232
218 Default: ``yes'' 233 Default: ``yes''
219 234
220 MKHOSTOBJ Can be set to ``yes'' or ``no''. If set to ``yes'', then for 235 MKHOSTOBJ Can be set to ``yes'' or ``no''. If set to ``yes'', then for
221 programs intended to be run on the compile host, the name, 236 programs intended to be run on the compile host, the name,
222 release, and architecture of the host operating system will 237 release, and architecture of the host operating system will
223 be suffixed to the name of the object directory created by 238 be suffixed to the name of the object directory created by
224 ``make obj''. (This allows multiple host systems to compile 239 ``make obj''. (This allows multiple host systems to compile
225 NetBSD for a single target.) If set to ``no'', then programs 240 NetBSD for a single target.) If set to ``no'', then programs
226 built to be run on the compile host will use the same object 241 built to be run on the compile host will use the same object
227 directory names as programs built to be run on the target. 242 directory names as programs built to be run on the target.
@@ -864,26 +879,33 @@ BUILDING @@ -864,26 +879,33 @@ BUILDING
864 tion, specified by wrapper. This allows, for instance, to 879 tion, specified by wrapper. This allows, for instance, to
865 place the wrapper in PATH automatically. Note that wrapper is 880 place the wrapper in PATH automatically. Note that wrapper is
866 the full name of the file, not just a directory name. If a 881 the full name of the file, not just a directory name. If a
867 relative path is specified, it will be converted to an absolute 882 relative path is specified, it will be converted to an absolute
868 path before being used. 883 path before being used.
869 884
870 -X x11src 885 -X x11src
871 Set the value of X11SRCDIR to x11src. If a relative path is 886 Set the value of X11SRCDIR to x11src. If a relative path is
872 specified, it will be converted to an absolute path before 887 specified, it will be converted to an absolute path before
873 being used. 888 being used.
874 889
875 -x Set MKX11=yes. 890 -x Set MKX11=yes.
876 891
 892 -Y extsrcsrc
 893 Set the value of EXTSRCSRCDIR to extsrcsrc. If a relative path is
 894 specified, it will be converted to an absolute path before
 895 being used.
 896
 897 -y Set MKEXTSRC=yes.
 898
877 -Z var Unset ("zap") the environment variable var. This is propagated 899 -Z var Unset ("zap") the environment variable var. This is propagated
878 to the nbmake wrapper. 900 to the nbmake wrapper.
879 901
880 The "nbmake-MACHINE" wrapper script 902 The "nbmake-MACHINE" wrapper script
881 If using the build.sh script to build NetBSD, a nbmake-MACHINE script 903 If using the build.sh script to build NetBSD, a nbmake-MACHINE script
882 will be created in TOOLDIR/bin upon the first build to assist in building 904 will be created in TOOLDIR/bin upon the first build to assist in building
883 subtrees on a cross-compile host. 905 subtrees on a cross-compile host.
884 906
885 nbmake-MACHINE can be invoked in lieu of make(1), and will instead call 907 nbmake-MACHINE can be invoked in lieu of make(1), and will instead call
886 the up-to-date version of ``nbmake'' installed into TOOLDIR/bin with sev- 908 the up-to-date version of ``nbmake'' installed into TOOLDIR/bin with sev-
887 eral key variables pre-set, including MACHINE, MACHINE_ARCH, and TOOLDIR. 909 eral key variables pre-set, including MACHINE, MACHINE_ARCH, and TOOLDIR.
888 nbmake-MACHINE will also set variables specified with -V, and unset vari- 910 nbmake-MACHINE will also set variables specified with -V, and unset vari-
889 ables specified with -Z. 911 ables specified with -Z.

cvs diff -r1.274 -r1.275 src/Makefile (expand / switch to unified diff)

--- src/Makefile 2009/09/04 17:21:33 1.274
+++ src/Makefile 2009/11/30 16:13:22 1.275
@@ -1,14 +1,14 @@ @@ -1,14 +1,14 @@
1# $NetBSD: Makefile,v 1.274 2009/09/04 17:21:33 pooka Exp $ 1# $NetBSD: Makefile,v 1.275 2009/11/30 16:13:22 uebayasi Exp $
2 2
3# 3#
4# This is the top-level makefile for building NetBSD. For an outline of 4# This is the top-level makefile for building NetBSD. For an outline of
5# how to build a snapshot or release, as well as other release engineering 5# how to build a snapshot or release, as well as other release engineering
6# information, see http://www.NetBSD.org/developers/releng/index.html 6# information, see http://www.NetBSD.org/developers/releng/index.html
7# 7#
8# Not everything you can set or do is documented in this makefile. In 8# Not everything you can set or do is documented in this makefile. In
9# particular, you should review the files in /usr/share/mk (especially 9# particular, you should review the files in /usr/share/mk (especially
10# bsd.README) for general information on building programs and writing 10# bsd.README) for general information on building programs and writing
11# Makefiles within this structure, and see the comments in src/etc/Makefile 11# Makefiles within this structure, and see the comments in src/etc/Makefile
12# for further information on installation and release set options. 12# for further information on installation and release set options.
13# 13#
14# Variables listed below can be set on the make command line (highest 14# Variables listed below can be set on the make command line (highest
@@ -98,26 +98,27 @@ @@ -98,26 +98,27 @@
98# do-sys-modules: builds and installs kernel modules (used by rump binaries) 98# do-sys-modules: builds and installs kernel modules (used by rump binaries)
99# do-ld.so: builds and installs prerequisites from libexec/ld.*_so. 99# do-ld.so: builds and installs prerequisites from libexec/ld.*_so.
100# do-compat-lib-csu: builds and installs prerequisites from compat/lib/csu 100# do-compat-lib-csu: builds and installs prerequisites from compat/lib/csu
101# if ${MKCOMPAT} != "no". 101# if ${MKCOMPAT} != "no".
102# do-compat-libgcc: builds and installs prerequisites from 102# do-compat-libgcc: builds and installs prerequisites from
103# compat/gnu/lib/crtstuff${LIBGCC_EXT} (if necessary) and 103# compat/gnu/lib/crtstuff${LIBGCC_EXT} (if necessary) and
104# compat/gnu/lib/libgcc${LIBGCC_EXT} if ${MKCOMPAT} != "no". 104# compat/gnu/lib/libgcc${LIBGCC_EXT} if ${MKCOMPAT} != "no".
105# do-compat-lib-libc: builds and installs prerequisites from compat/lib/libc 105# do-compat-lib-libc: builds and installs prerequisites from compat/lib/libc
106# if ${MKCOMPAT} != "no". 106# if ${MKCOMPAT} != "no".
107# do-build: builds and installs the entire system. 107# do-build: builds and installs the entire system.
108# do-x11: builds and installs X11 if ${MKX11} != "no"; either 108# do-x11: builds and installs X11 if ${MKX11} != "no"; either
109# X11R7 from src/external/mit/xorg if ${X11FLAVOUR} == "Xorg" 109# X11R7 from src/external/mit/xorg if ${X11FLAVOUR} == "Xorg"
110# or X11R6 from src/x11 110# or X11R6 from src/x11
 111# do-extsrc: builds and installs extsrc if ${MKEXTSRC} != "no".
111# do-obsolete: installs the obsolete sets (for the postinstall-* targets). 112# do-obsolete: installs the obsolete sets (for the postinstall-* targets).
112# 113#
113 114
114.if ${.MAKEFLAGS:M${.CURDIR}/share/mk} == "" 115.if ${.MAKEFLAGS:M${.CURDIR}/share/mk} == ""
115.MAKEFLAGS: -m ${.CURDIR}/share/mk 116.MAKEFLAGS: -m ${.CURDIR}/share/mk
116.endif 117.endif
117 118
118# 119#
119# If _SRC_TOP_OBJ_ gets set here, we will end up with a directory that may 120# If _SRC_TOP_OBJ_ gets set here, we will end up with a directory that may
120# not be the top level objdir, because "make obj" can happen in the *middle* 121# not be the top level objdir, because "make obj" can happen in the *middle*
121# of "make build" (long after <bsd.own.mk> is calculated it). So, pre-set 122# of "make build" (long after <bsd.own.mk> is calculated it). So, pre-set
122# _SRC_TOP_OBJ_ here so it will not be added to ${.MAKEOVERRIDES}. 123# _SRC_TOP_OBJ_ here so it will not be added to ${.MAKEOVERRIDES}.
123# 124#
@@ -242,26 +243,29 @@ BUILDTARGETS+= do-lib do-gnu-lib do-exte @@ -242,26 +243,29 @@ BUILDTARGETS+= do-lib do-gnu-lib do-exte
242BUILDTARGETS+= do-sys-modules 243BUILDTARGETS+= do-sys-modules
243.endif 244.endif
244BUILDTARGETS+= do-sys-rump-dev-lib do-sys-rump-fs-lib do-sys-rump-net-lib 245BUILDTARGETS+= do-sys-rump-dev-lib do-sys-rump-fs-lib do-sys-rump-net-lib
245.if ${MKCOMPAT} != "no" 246.if ${MKCOMPAT} != "no"
246BUILDTARGETS+= do-compat-lib-csu 247BUILDTARGETS+= do-compat-lib-csu
247BUILDTARGETS+= do-compat-libgcc 248BUILDTARGETS+= do-compat-libgcc
248BUILDTARGETS+= do-compat-lib-libc 249BUILDTARGETS+= do-compat-lib-libc
249.endif 250.endif
250BUILDTARGETS+= do-ld.so 251BUILDTARGETS+= do-ld.so
251BUILDTARGETS+= do-build 252BUILDTARGETS+= do-build
252.if ${MKX11} != "no" 253.if ${MKX11} != "no"
253BUILDTARGETS+= do-x11 254BUILDTARGETS+= do-x11
254.endif 255.endif
 256.if ${MKEXTSRC} != "no"
 257BUILDTARGETS+= do-extsrc
 258.endif
255BUILDTARGETS+= do-obsolete 259BUILDTARGETS+= do-obsolete
256 260
257# 261#
258# Enforce proper ordering of some rules. 262# Enforce proper ordering of some rules.
259# 263#
260 264
261.ORDER: ${BUILDTARGETS} 265.ORDER: ${BUILDTARGETS}
262includes-lib: .PHONY includes-include includes-sys 266includes-lib: .PHONY includes-include includes-sys
263includes-gnu: .PHONY includes-lib 267includes-gnu: .PHONY includes-lib
264 268
265# 269#
266# Build the system and install into DESTDIR. 270# Build the system and install into DESTDIR.
267# 271#
@@ -472,26 +476,34 @@ do-build: .PHONY .MAKE @@ -472,26 +476,34 @@ do-build: .PHONY .MAKE
472 476
473do-x11: .PHONY .MAKE 477do-x11: .PHONY .MAKE
474.if ${MKX11} != "no" 478.if ${MKX11} != "no"
475.if ${X11FLAVOUR} == "Xorg" 479.if ${X11FLAVOUR} == "Xorg"
476 ${MAKEDIRTARGET} external/mit/xorg build 480 ${MAKEDIRTARGET} external/mit/xorg build
477.else 481.else
478 ${MAKEDIRTARGET} x11 build 482 ${MAKEDIRTARGET} x11 build
479.endif 483.endif
480.else 484.else
481 @echo "MKX11 is not enabled" 485 @echo "MKX11 is not enabled"
482 @false 486 @false
483.endif 487.endif
484 488
 489do-extsrc: .PHONY .MAKE
 490.if ${MKEXTSRC} != "no"
 491 ${MAKEDIRTARGET} extsrc build
 492.else
 493 @echo "MKEXTSRC is not enabled"
 494 @false
 495.endif
 496
485do-obsolete: .PHONY .MAKE 497do-obsolete: .PHONY .MAKE
486 ${MAKEDIRTARGET} etc install-obsolete-lists 498 ${MAKEDIRTARGET} etc install-obsolete-lists
487 499
488# 500#
489# Speedup stubs for some subtrees that don't need to run these rules. 501# Speedup stubs for some subtrees that don't need to run these rules.
490# (Tells <bsd.subdir.mk> not to recurse for them.) 502# (Tells <bsd.subdir.mk> not to recurse for them.)
491# 503#
492 504
493.for dir in bin etc distrib games libexec regress sbin usr.sbin tools 505.for dir in bin etc distrib games libexec regress sbin usr.sbin tools
494includes-${dir}: .PHONY 506includes-${dir}: .PHONY
495 @true 507 @true
496.endfor 508.endfor
497.for dir in etc distrib regress 509.for dir in etc distrib regress

cvs diff -r1.221 -r1.222 src/build.sh (expand / switch to unified diff)

--- src/build.sh 2009/11/24 13:39:07 1.221
+++ src/build.sh 2009/11/30 16:13:22 1.222
@@ -1,15 +1,15 @@ @@ -1,15 +1,15 @@
1#! /usr/bin/env sh 1#! /usr/bin/env sh
2# $NetBSD: build.sh,v 1.221 2009/11/24 13:39:07 pooka Exp $ 2# $NetBSD: build.sh,v 1.222 2009/11/30 16:13:22 uebayasi Exp $
3# 3#
4# Copyright (c) 2001-2009 The NetBSD Foundation, Inc. 4# Copyright (c) 2001-2009 The NetBSD Foundation, Inc.
5# All rights reserved. 5# All rights reserved.
6# 6#
7# This code is derived from software contributed to The NetBSD Foundation 7# This code is derived from software contributed to The NetBSD Foundation
8# by Todd Vierling and Luke Mewburn. 8# by Todd Vierling and Luke Mewburn.
9# 9#
10# Redistribution and use in source and binary forms, with or without 10# Redistribution and use in source and binary forms, with or without
11# modification, are permitted provided that the following conditions 11# modification, are permitted provided that the following conditions
12# are met: 12# are met:
13# 1. Redistributions of source code must retain the above copyright 13# 1. Redistributions of source code must retain the above copyright
14# notice, this list of conditions and the following disclaimer. 14# notice, this list of conditions and the following disclaimer.
15# 2. Redistributions in binary form must reproduce the above copyright 15# 2. Redistributions in binary form must reproduce the above copyright
@@ -540,27 +540,28 @@ resolvepath() @@ -540,27 +540,28 @@ resolvepath()
540} 540}
541 541
542usage() 542usage()
543{ 543{
544 if [ -n "$*" ]; then 544 if [ -n "$*" ]; then
545 echo "" 545 echo ""
546 echo "${progname}: $*" 546 echo "${progname}: $*"
547 fi 547 fi
548 cat <<_usage_ 548 cat <<_usage_
549 549
550Usage: ${progname} [-EnorUux] [-a arch] [-B buildid] [-C cdextras] 550Usage: ${progname} [-EnorUux] [-a arch] [-B buildid] [-C cdextras]
551 [-D dest] [-j njob] [-M obj] [-m mach] [-N noisy] 551 [-D dest] [-j njob] [-M obj] [-m mach] [-N noisy]
552 [-O obj] [-R release] [-S seed] [-T tools] 552 [-O obj] [-R release] [-S seed] [-T tools]
553 [-V var=[value]] [-w wrapper] [-X x11src] [-Z var] 553 [-V var=[value]] [-w wrapper] [-X x11src] [-Y extsrcsrc]
 554 [-Z var]
554 operation [...] 555 operation [...]
555 556
556 Build operations (all imply "obj" and "tools"): 557 Build operations (all imply "obj" and "tools"):
557 build Run "make build". 558 build Run "make build".
558 distribution Run "make distribution" (includes DESTDIR/etc/ files). 559 distribution Run "make distribution" (includes DESTDIR/etc/ files).
559 release Run "make release" (includes kernels & distrib media). 560 release Run "make release" (includes kernels & distrib media).
560 561
561 Other operations: 562 Other operations:
562 help Show this message and exit. 563 help Show this message and exit.
563 makewrapper Create ${toolprefix}make-\${MACHINE} wrapper and ${toolprefix}make. 564 makewrapper Create ${toolprefix}make-\${MACHINE} wrapper and ${toolprefix}make.
564 Always performed. 565 Always performed.
565 cleandir Run "make cleandir". [Default unless -u is used] 566 cleandir Run "make cleandir". [Default unless -u is used]
566 obj Run "make obj". [Default unless -o is used] 567 obj Run "make obj". [Default unless -o is used]
@@ -608,35 +609,38 @@ Usage: ${progname} [-EnorUux] [-a arch]  @@ -608,35 +609,38 @@ Usage: ${progname} [-EnorUux] [-a arch]
608 -r Remove contents of TOOLDIR and DESTDIR before building. 609 -r Remove contents of TOOLDIR and DESTDIR before building.
609 -S seed Set BUILDSEED to seed. [Default: NetBSD-majorversion] 610 -S seed Set BUILDSEED to seed. [Default: NetBSD-majorversion]
610 -T tools Set TOOLDIR to tools. If unset, and TOOLDIR is not set in 611 -T tools Set TOOLDIR to tools. If unset, and TOOLDIR is not set in
611 the environment, ${toolprefix}make will be (re)built unconditionally. 612 the environment, ${toolprefix}make will be (re)built unconditionally.
612 -U Set MKUNPRIVED=yes; build without requiring root privileges, 613 -U Set MKUNPRIVED=yes; build without requiring root privileges,
613 install from an UNPRIVED build with proper file permissions. 614 install from an UNPRIVED build with proper file permissions.
614 -u Set MKUPDATE=yes; do not run "make cleandir" first. 615 -u Set MKUPDATE=yes; do not run "make cleandir" first.
615 Without this, everything is rebuilt, including the tools. 616 Without this, everything is rebuilt, including the tools.
616 -V v=[val] Set variable \`v' to \`val'. 617 -V v=[val] Set variable \`v' to \`val'.
617 -w wrapper Create ${toolprefix}make script as wrapper. 618 -w wrapper Create ${toolprefix}make script as wrapper.
618 [Default: \${TOOLDIR}/bin/${toolprefix}make-\${MACHINE}] 619 [Default: \${TOOLDIR}/bin/${toolprefix}make-\${MACHINE}]
619 -X x11src Set X11SRCDIR to x11src. [Default: /usr/xsrc] 620 -X x11src Set X11SRCDIR to x11src. [Default: /usr/xsrc]
620 -x Set MKX11=yes; build X11 from X11SRCDIR 621 -x Set MKX11=yes; build X11 from X11SRCDIR
 622 -Y extsrcsrc
 623 Set EXTSRCSRCDIR to extsrcsrc. [Default: /usr/extsrc]
 624 -y Set MKEXTSRC=yes; build extsrc from EXTSRCSRCDIR
621 -Z v Unset ("zap") variable \`v'. 625 -Z v Unset ("zap") variable \`v'.
622 626
623_usage_ 627_usage_
624 exit 1 628 exit 1
625} 629}
626 630
627parseoptions() 631parseoptions()
628{ 632{
629 opts='a:B:C:D:Ehj:M:m:N:nO:oR:rS:T:UuV:w:xX:Z:' 633 opts='a:B:C:D:Ehj:M:m:N:nO:oR:rS:T:UuV:w:xX:yY:Z:'
630 opt_a=no 634 opt_a=no
631 635
632 if type getopts >/dev/null 2>&1; then 636 if type getopts >/dev/null 2>&1; then
633 # Use POSIX getopts. 637 # Use POSIX getopts.
634 # 638 #
635 getoptcmd='getopts ${opts} opt && opt=-${opt}' 639 getoptcmd='getopts ${opts} opt && opt=-${opt}'
636 optargcmd=':' 640 optargcmd=':'
637 optremcmd='shift $((${OPTIND} -1))' 641 optremcmd='shift $((${OPTIND} -1))'
638 else 642 else
639 type getopt >/dev/null 2>&1 || 643 type getopt >/dev/null 2>&1 ||
640 bomb "/bin/sh shell is too old; try ksh or bash" 644 bomb "/bin/sh shell is too old; try ksh or bash"
641 645
642 # Use old-style getopt(1) (doesn't handle whitespace in args). 646 # Use old-style getopt(1) (doesn't handle whitespace in args).
@@ -787,26 +791,35 @@ parseoptions() @@ -787,26 +791,35 @@ parseoptions()
787 eval ${optargcmd}; resolvepath OPTARG 791 eval ${optargcmd}; resolvepath OPTARG
788 makewrapper="${OPTARG}" 792 makewrapper="${OPTARG}"
789 ;; 793 ;;
790 794
791 -X) 795 -X)
792 eval ${optargcmd}; resolvepath OPTARG 796 eval ${optargcmd}; resolvepath OPTARG
793 setmakeenv X11SRCDIR "${OPTARG}" 797 setmakeenv X11SRCDIR "${OPTARG}"
794 ;; 798 ;;
795 799
796 -x) 800 -x)
797 setmakeenv MKX11 yes 801 setmakeenv MKX11 yes
798 ;; 802 ;;
799 803
 804 -Y)
 805 eval ${optargcmd}; resolvepath OPTARG
 806 setmakeenv EXTSRCSRCDIR "${OPTARG}"
 807 ;;
 808
 809 -y)
 810 setmakeenv MKEXTSRC yes
 811 ;;
 812
800 -Z) 813 -Z)
801 eval ${optargcmd} 814 eval ${optargcmd}
802 # XXX: consider restricting which variables can be unset? 815 # XXX: consider restricting which variables can be unset?
803 unsetmakeenv "${OPTARG}" 816 unsetmakeenv "${OPTARG}"
804 ;; 817 ;;
805 818
806 --) 819 --)
807 break 820 break
808 ;; 821 ;;
809 822
810 -'?'|-h) 823 -'?'|-h)
811 usage 824 usage
812 ;; 825 ;;
@@ -1313,27 +1326,27 @@ createmakewrapper() @@ -1313,27 +1326,27 @@ createmakewrapper()
1313 else 1326 else
1314 makewrapout=">>\${makewrapper}" 1327 makewrapout=">>\${makewrapper}"
1315 fi 1328 fi
1316 1329
1317 case "${KSH_VERSION:-${SH_VERSION}}" in 1330 case "${KSH_VERSION:-${SH_VERSION}}" in
1318 *PD\ KSH*|*MIRBSD\ KSH*) 1331 *PD\ KSH*|*MIRBSD\ KSH*)
1319 set +o braceexpand 1332 set +o braceexpand
1320 ;; 1333 ;;
1321 esac 1334 esac
1322 1335
1323 eval cat <<EOF ${makewrapout} 1336 eval cat <<EOF ${makewrapout}
1324#! ${HOST_SH} 1337#! ${HOST_SH}
1325# Set proper variables to allow easy "make" building of a NetBSD subtree. 1338# Set proper variables to allow easy "make" building of a NetBSD subtree.
1326# Generated from: \$NetBSD: build.sh,v 1.221 2009/11/24 13:39:07 pooka Exp $ 1339# Generated from: \$NetBSD: build.sh,v 1.222 2009/11/30 16:13:22 uebayasi Exp $
1327# with these arguments: ${_args} 1340# with these arguments: ${_args}
1328# 1341#
1329 1342
1330EOF 1343EOF
1331 { 1344 {
1332 for f in ${makeenv}; do 1345 for f in ${makeenv}; do
1333 if eval "[ -z \"\${$f}\" -a \"\${${f}-X}\" = \"X\" ]"; then 1346 if eval "[ -z \"\${$f}\" -a \"\${${f}-X}\" = \"X\" ]"; then
1334 eval echo "unset ${f}" 1347 eval echo "unset ${f}"
1335 else 1348 else
1336 eval echo "${f}=\'\$$(echo ${f})\'\;\ export\ ${f}" 1349 eval echo "${f}=\'\$$(echo ${f})\'\;\ export\ ${f}"
1337 fi 1350 fi
1338 done 1351 done
1339 1352

cvs diff -r1.70 -r1.71 src/distrib/sets/Makefile (expand / switch to unified diff)

--- src/distrib/sets/Makefile 2009/09/19 07:09:54 1.70
+++ src/distrib/sets/Makefile 2009/11/30 16:13:23 1.71
@@ -1,14 +1,14 @@ @@ -1,14 +1,14 @@
1# $NetBSD: Makefile,v 1.70 2009/09/19 07:09:54 snj Exp $ 1# $NetBSD: Makefile,v 1.71 2009/11/30 16:13:23 uebayasi Exp $
2 2
3# The `all' target must appear before bsd.own.mk is pulled in. 3# The `all' target must appear before bsd.own.mk is pulled in.
4all: 4all:
5 @echo "Please understand what you are doing, first." 5 @echo "Please understand what you are doing, first."
6 @false 6 @false
7 7
8.include <bsd.own.mk> 8.include <bsd.own.mk>
9.include "${NETBSDSRCDIR}/distrib/common/Makefile.distrib" 9.include "${NETBSDSRCDIR}/distrib/common/Makefile.distrib"
10GREP?= grep 10GREP?= grep
11 11
12SETSCMD= cd ${.CURDIR} && \ 12SETSCMD= cd ${.CURDIR} && \
13 DESTDIR=${DESTDIR:Q} \ 13 DESTDIR=${DESTDIR:Q} \
14 MACHINE=${MACHINE:Q} MACHINE_ARCH=${MACHINE_ARCH:Q} \ 14 MACHINE=${MACHINE:Q} MACHINE_ARCH=${MACHINE_ARCH:Q} \
@@ -16,32 +16,39 @@ SETSCMD= cd ${.CURDIR} && \ @@ -16,32 +16,39 @@ SETSCMD= cd ${.CURDIR} && \
16 CKSUM=${TOOL_CKSUM:Q} \ 16 CKSUM=${TOOL_CKSUM:Q} \
17 DB=${TOOL_DB:Q} \ 17 DB=${TOOL_DB:Q} \
18 HOST_SH=${HOST_SH:Q} \ 18 HOST_SH=${HOST_SH:Q} \
19 MAKE=${MAKE:Q} \ 19 MAKE=${MAKE:Q} \
20 MKTEMP=${TOOL_MKTEMP:Q} \ 20 MKTEMP=${TOOL_MKTEMP:Q} \
21 MTREE=${TOOL_MTREE:Q} \ 21 MTREE=${TOOL_MTREE:Q} \
22 PAX=${TOOL_PAX:Q} \ 22 PAX=${TOOL_PAX:Q} \
23 SED=${TOOL_SED:Q} \ 23 SED=${TOOL_SED:Q} \
24 TSORT=${TSORT:Q} \ 24 TSORT=${TSORT:Q} \
25 ${HOST_SH} 25 ${HOST_SH}
26 26
27MAKETARS_FLAGS= 27MAKETARS_FLAGS=
28.if ${MKX11} != "no" 28.if ${MKX11} != "no"
29MAKEFLIST_FLAGS= -b 29MAKESRCTARS_X11_FLAGS= -x ${X11SRCDIR}
30MAKESRCTARS_FLAGS= -x ${X11SRCDIR} -N ${NETBSDSRCDIR}/etc 30.endif
31.else 31.if ${MKEXTSRC} != "no"
32MAKEFLIST_FLAGS= 32MAKESRCTARS_EXTSRC_FLAGS= -y ${EXTSRCSRCDIR}
33MAKESRCTARS_FLAGS= -N ${NETBSDSRCDIR}/etc 33.endif
 34.if ${MKX11} != "no"
 35MAKEFLIST_X11_FLAGS= ,x
 36.endif
 37.if ${MKEXTSRC} != "no"
 38MAKEFLIST_EXTSRC_FLAGS= ,ext
34.endif 39.endif
 40MAKEFLIST_FLAGS= -L base${MAKEFLIST_X11_FLAGS}${MAKEFLIST_EXTSRC_FLAGS}
 41MAKESRCTARS_FLAGS= -N ${NETBSDSRCDIR}/etc
35 42
36.if ${MAKEVERBOSE} < 2 43.if ${MAKEVERBOSE} < 2
37MAKETARS_FLAGS+= -q 44MAKETARS_FLAGS+= -q
38MAKESRCTARS_FLAGS+= -q 45MAKESRCTARS_FLAGS+= -q
39.endif 46.endif
40 47
41.if !defined(MAKETARSETS) 48.if !defined(MAKETARSETS)
42MAKETARSETS!= ${SETSCMD} ./makeflist -l ${MAKEFLIST_FLAGS} 49MAKETARSETS!= ${SETSCMD} ./makeflist -l ${MAKEFLIST_FLAGS}
43.endif 50.endif
44 51
45print_have_gcc: .PHONY 52print_have_gcc: .PHONY
46 @echo ${HAVE_GCC} 53 @echo ${HAVE_GCC}
47 54
@@ -112,26 +119,29 @@ clean_METALOG: .PHONY ${METALOG}.sanitis @@ -112,26 +119,29 @@ clean_METALOG: .PHONY ${METALOG}.sanitis
112# 119#
113 120
114# This target has debugging value only, really. 121# This target has debugging value only, really.
115makeflist: .PHONY .PRECIOUS check_DESTDIR 122makeflist: .PHONY .PRECIOUS check_DESTDIR
116 ${SETSCMD} ./makeflist ${MAKEFLIST_FLAGS} 123 ${SETSCMD} ./makeflist ${MAKEFLIST_FLAGS}
117 124
118checkflist: .PRECIOUS .PHONY check_DESTDIR sanitise_METALOG 125checkflist: .PRECIOUS .PHONY check_DESTDIR sanitise_METALOG
119 ${SETSCMD} ${.CURDIR}/checkflist \ 126 ${SETSCMD} ${.CURDIR}/checkflist \
120 ${MAKEFLIST_FLAGS} ${CHECKFLIST_FLAGS} ${METALOG.unpriv} 127 ${MAKEFLIST_FLAGS} ${CHECKFLIST_FLAGS} ${METALOG.unpriv}
121 128
122checkflist-x11: .PHONY check_DESTDIR 129checkflist-x11: .PHONY check_DESTDIR
123 ${SETSCMD} ./checkflist -x ${CHECKFLIST_FLAGS} 130 ${SETSCMD} ./checkflist -x ${CHECKFLIST_FLAGS}
124 131
 132checkflist-extsrc: .PHONY check_DESTDIR
 133 ${SETSCMD} ./checkflist -y ${CHECKFLIST_FLAGS}
 134
125.if defined(DESTDIR) && ${DESTDIR} != "" 135.if defined(DESTDIR) && ${DESTDIR} != ""
126checkflist_if_DESTDIR: checkflist 136checkflist_if_DESTDIR: checkflist
127.else 137.else
128checkflist_if_DESTDIR: 138checkflist_if_DESTDIR:
129.endif 139.endif
130 140
131# 141#
132# SET BUILDING TARGETS 142# SET BUILDING TARGETS
133# 143#
134 144
135TARDIR= ${RELEASEDIR}/${RELEASEMACHINEDIR}/binary/sets 145TARDIR= ${RELEASEDIR}/${RELEASEMACHINEDIR}/binary/sets
136SOURCETARDIR= ${RELEASEDIR}/source/sets 146SOURCETARDIR= ${RELEASEDIR}/source/sets
137 147
@@ -175,26 +185,27 @@ makesetfiles: .PHONY sanitise_METALOG @@ -175,26 +185,27 @@ makesetfiles: .PHONY sanitise_METALOG
175do-${tar}: .PHONY sanitise_METALOG 185do-${tar}: .PHONY sanitise_METALOG
176 ${_MKMSG_CREATE} "${tar}.tgz" 186 ${_MKMSG_CREATE} "${tar}.tgz"
177 ${SETSCMD} ./maketars -d ${DESTDIR:S,^$,/,} ${MAKETARS_FLAGS} \ 187 ${SETSCMD} ./maketars -d ${DESTDIR:S,^$,/,} ${MAKETARS_FLAGS} \
178 ${METALOG.unpriv} \ 188 ${METALOG.unpriv} \
179 -N ${NETBSDSRCDIR}/etc -t ${TARDIR} ${tar} \ 189 -N ${NETBSDSRCDIR}/etc -t ${TARDIR} ${tar} \
180 || { rm -f ${TARDIR}/${tar}.tgz; false; } 190 || { rm -f ${TARDIR}/${tar}.tgz; false; }
181.endfor 191.endfor
182 192
183 193
184makesrctars: .PRECIOUS .PHONY check_RELEASEDIR 194makesrctars: .PRECIOUS .PHONY check_RELEASEDIR
185 ${_MKMSG_CREATE} "source tar files" 195 ${_MKMSG_CREATE} "source tar files"
186 mkdir -p ${SOURCETARDIR} 196 mkdir -p ${SOURCETARDIR}
187 ${SETSCMD} ./makesrctars ${MAKESRCTARS_FLAGS} \ 197 ${SETSCMD} ./makesrctars ${MAKESRCTARS_FLAGS} \
 198 ${MAKESRCTARS_X11_FLAGS} ${MAKESRCTARS_EXTSRC_FLAGS} \
188 ${NETBSDSRCDIR} ${SOURCETARDIR} 199 ${NETBSDSRCDIR} ${SOURCETARDIR}
189 200
190 201
191makesums: .PRECIOUS .PHONY check_RELEASEDIR .WAIT \ 202makesums: .PRECIOUS .PHONY check_RELEASEDIR .WAIT \
192 ${MAKETARSETS:@.TARS.@do-sum-${.TARS.}@} 203 ${MAKETARSETS:@.TARS.@do-sum-${.TARS.}@}
193 for i in MD5 SHA512; do \ 204 for i in MD5 SHA512; do \
194 mv ${TARDIR}/$$i.tmp ${TARDIR}/$$i; \ 205 mv ${TARDIR}/$$i.tmp ${TARDIR}/$$i; \
195 done 206 done
196 207
197.for tar in ${MAKETARSETS} 208.for tar in ${MAKETARSETS}
198do-sum-${tar}: .PHONY do-${tar} 209do-sum-${tar}: .PHONY do-${tar}
199 ${_MKMSG_CREATE} "${tar} checksums" 210 ${_MKMSG_CREATE} "${tar} checksums"
200 ${MAKESUMS} -t ${TARDIR} ${tar}.tgz 211 ${MAKESUMS} -t ${TARDIR} ${tar}.tgz

cvs diff -r1.34 -r1.35 src/distrib/sets/checkflist (expand / switch to unified diff)

--- src/distrib/sets/checkflist 2009/04/23 09:30:56 1.34
+++ src/distrib/sets/checkflist 2009/11/30 16:13:23 1.35
@@ -1,16 +1,16 @@ @@ -1,16 +1,16 @@
1#! /bin/sh -- 1#! /bin/sh --
2# 2#
3# $NetBSD: checkflist,v 1.34 2009/04/23 09:30:56 apb Exp $ 3# $NetBSD: checkflist,v 1.35 2009/11/30 16:13:23 uebayasi Exp $
4# 4#
5# Verify output of makeflist against contents of ${DESTDIR} and ${metalog}. 5# Verify output of makeflist against contents of ${DESTDIR} and ${metalog}.
6 6
7if [ -z "${DESTDIR}" ]; then 7if [ -z "${DESTDIR}" ]; then
8 echo "DESTDIR must be set" 8 echo "DESTDIR must be set"
9 exit 1 9 exit 1
10fi 10fi
11 11
12prog="${0##*/}" 12prog="${0##*/}"
13rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/" 13rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
14. "${rundir}/sets.subr" 14. "${rundir}/sets.subr"
15 15
16SDIR="$(${MKTEMP} -d "/tmp/${prog}.XXXXXX")" 16SDIR="$(${MKTEMP} -d "/tmp/${prog}.XXXXXX")"
@@ -24,49 +24,59 @@ cleanup() @@ -24,49 +24,59 @@ cleanup()
24 fi 24 fi
25 exit ${es} 25 exit ${es}
26} 26}
27trap cleanup 0 2 3 13 # EXIT INT QUIT PIPE 27trap cleanup 0 2 3 13 # EXIT INT QUIT PIPE
28 28
29origin=. 29origin=.
30xargs="" 30xargs=""
31dargs="" 31dargs=""
32metalog= 32metalog=
33allowextra=false 33allowextra=false
34allowmissing=false 34allowmissing=false
35 35
36# handle args 36# handle args
37while getopts xbM:em ch; do 37while getopts xybL:M:em ch; do
38 case ${ch} in 38 case ${ch} in
39 x) 39 x)
40 xargs="-x" 40 xargs="-x"
41 origin="./etc/X11 ./etc/fonts ./usr/X11R6" 41 origin="./etc/X11 ./etc/fonts ./usr/X11R6"
42 ;; 42 ;;
 43 y)
 44 xargs="-y"
 45 origin="./etc/ext ./usr/ext"
 46 ;;
 47 # backward compat
43 b) 48 b)
44 xargs="-b" 49 xargs="-b"
45 ;; 50 ;;
 51 L)
 52 xargs="-L ${OPTARG}"
 53 ;;
46 M) 54 M)
47 metalog="${OPTARG}" 55 metalog="${OPTARG}"
48 ;; 56 ;;
49 e) 57 e)
50 allowextra=true 58 allowextra=true
51 ;; 59 ;;
52 m) 60 m)
53 allowmissing=true 61 allowmissing=true
54 ;; 62 ;;
55 *) 63 *)
56 cat 1>&2 <<USAGE 64 cat 1>&2 <<USAGE
57Usage: ${prog} [-x|-b] [-M metalog] [-e] [-m] 65Usage: ${prog} [-x|-y|-b|-L lists] [-M metalog] [-e] [-m]
58 -x check only x11 lists 66 -x check only x11 lists
 67 -y check only extsrc lists
59 -b check netbsd + x11 lists 68 -b check netbsd + x11 lists
 69 -L base,x,ext check specified lists
60 -M metalog metalog file 70 -M metalog metalog file
61 -e extra files are not considered an error 71 -e extra files are not considered an error
62 -m missing files are not considered an error 72 -m missing files are not considered an error
63USAGE 73USAGE
64 exit 1 74 exit 1
65 ;; 75 ;;
66 esac 76 esac
67done 77done
68shift $((${OPTIND} - 1)) 78shift $((${OPTIND} - 1))
69 79
70# 80#
71# Exceptions to flist checking (all begin with "./"): 81# Exceptions to flist checking (all begin with "./"):
72# 82#

cvs diff -r1.14 -r1.15 src/distrib/sets/comments (expand / switch to unified diff)

--- src/distrib/sets/comments 2008/11/12 12:35:50 1.14
+++ src/distrib/sets/comments 2009/11/30 16:13:23 1.15
@@ -247,26 +247,27 @@ comp-util-sbin system development utilit @@ -247,26 +247,27 @@ comp-util-sbin system development utilit
247comp-util-share reference files for programming utilities 247comp-util-share reference files for programming utilities
248etc-amd-rc startup script for auto-mounter daemon 248etc-amd-rc startup script for auto-mounter daemon
249etc-audio-rc startup script for audio mixer control utility 249etc-audio-rc startup script for audio mixer control utility
250etc-bind-etc configuration files for BIND DNS server 250etc-bind-etc configuration files for BIND DNS server
251etc-bind-rc startup script for BIND DNS server 251etc-bind-rc startup script for BIND DNS server
252etc-bootserver-etc configuration files for diskless boot server utilities 252etc-bootserver-etc configuration files for diskless boot server utilities
253etc-bootserver-rc startup script for diskless boot server utilities 253etc-bootserver-rc startup script for diskless boot server utilities
254etc-cron-log empty log file for cron(8) 254etc-cron-log empty log file for cron(8)
255etc-cron-rc startup script for cron(8) command scheduler 255etc-cron-rc startup script for cron(8) command scheduler
256etc-cron-root root file system support for cron(8) command scheduler 256etc-cron-root root file system support for cron(8) command scheduler
257etc-dhclient-etc configuration files for DHCP dyanamic host configuration protocol client utilities 257etc-dhclient-etc configuration files for DHCP dyanamic host configuration protocol client utilities
258etc-dhclient-rc startup script for DHCP dynamic host configuration protocol client 258etc-dhclient-rc startup script for DHCP dynamic host configuration protocol client
259etc-dhcpd-rc startup script for DHCP dynamic host configuration protocol daemon 259etc-dhcpd-rc startup script for DHCP dynamic host configuration protocol daemon
 260etc-extsrc-rc startup scripts for externally added programs
260etc-games-etc configuration file for games 261etc-games-etc configuration file for games
261etc-games-scores empty score files for games 262etc-games-scores empty score files for games
262etc-ipf-rc startup scripts for IP filter 263etc-ipf-rc startup scripts for IP filter
263etc-isdn-rc startup script for ISDN (Integrated Services Digital Network) network connectivity utilities 264etc-isdn-rc startup script for ISDN (Integrated Services Digital Network) network connectivity utilities
264etc-krb5-rc startup script for the Kerberos V authentication service 265etc-krb5-rc startup script for the Kerberos V authentication service
265etc-lpr-etc configuration file for printing services 266etc-lpr-etc configuration file for printing services
266etc-lpr-log empty log file for printing services 267etc-lpr-log empty log file for printing services
267etc-lpr-rc startup script for printing services 268etc-lpr-rc startup script for printing services
268etc-mail-etc configuration file for mail utilities 269etc-mail-etc configuration file for mail utilities
269etc-mailwrapper-etc configuration files for the mailwrapper(8) program for multiple mailer support 270etc-mailwrapper-etc configuration files for the mailwrapper(8) program for multiple mailer support
270etc-man-etc configuration files for the online manual pages 271etc-man-etc configuration files for the online manual pages
271etc-net-etc configuration files for networking 272etc-net-etc configuration files for networking
272etc-net-rc startup files for networking 273etc-net-rc startup files for networking

cvs diff -r1.10 -r1.11 src/distrib/sets/deps (expand / switch to unified diff)

--- src/distrib/sets/deps 2008/11/12 12:35:50 1.10
+++ src/distrib/sets/deps 2009/11/30 16:13:23 1.11
@@ -14,26 +14,27 @@ base-cron-bin base-sys-usr @@ -14,26 +14,27 @@ base-cron-bin base-sys-usr
14base-cron-root base-sys-root 14base-cron-root base-sys-root
15base-crypto-bin base-sys-usr 15base-crypto-bin base-sys-usr
16base-crypto-examples base-sys-share 16base-crypto-examples base-sys-share
17base-crypto-root base-sys-root 17base-crypto-root base-sys-root
18base-crypto-shlib base-sys-usr 18base-crypto-shlib base-sys-usr
19base-cxx-usr base-c-usr 19base-cxx-usr base-c-usr
20base-debug-bin base-sys-usr 20base-debug-bin base-sys-usr
21base-dhclient-root base-sys-root 21base-dhclient-root base-sys-root
22base-dhcpd-bin base-sys-share 22base-dhcpd-bin base-sys-share
23base-dhcpd-bin base-sys-usr 23base-dhcpd-bin base-sys-usr
24base-dhcpd-examples base-sys-share 24base-dhcpd-examples base-sys-share
25base-efs-root base-sys-root 25base-efs-root base-sys-root
26base-ext2fs-root base-sys-root 26base-ext2fs-root base-sys-root
 27base-extsrc-root base-sys-root
27base-filecorefs-root base-sys-root 28base-filecorefs-root base-sys-root
28base-fstab-examples base-sys-share 29base-fstab-examples base-sys-share
29base-games-root base-sys-root 30base-games-root base-sys-root
30base-games-share base-sys-share 31base-games-share base-sys-share
31base-games-usr base-sys-usr 32base-games-usr base-sys-usr
32base-gnats-bin base-sys-usr 33base-gnats-bin base-sys-usr
33base-gnats-share base-sys-share 34base-gnats-share base-sys-share
34base-groff-font base-sys-share 35base-groff-font base-sys-share
35base-groff-share base-termcap-share 36base-groff-share base-termcap-share
36base-hesiod-bin base-sys-usr 37base-hesiod-bin base-sys-usr
37base-htmldoc-share base-sys-share 38base-htmldoc-share base-sys-share
38base-i18n-root base-sys-usr 39base-i18n-root base-sys-usr
39base-i18n-shlib base-i18n-root 40base-i18n-shlib base-i18n-root

cvs diff -r1.15 -r1.16 src/distrib/sets/descrs (expand / switch to unified diff)

--- src/distrib/sets/descrs 2008/11/12 12:35:50 1.15
+++ src/distrib/sets/descrs 2009/11/30 16:13:23 1.16
@@ -498,26 +498,27 @@ comp-util-sbin system development utilit @@ -498,26 +498,27 @@ comp-util-sbin system development utilit
498comp-util-share reference files for programming utilities  498comp-util-share reference files for programming utilities
499etc-amd-rc startup script for auto-mounter daemon 499etc-amd-rc startup script for auto-mounter daemon
500etc-audio-rc startup script for audio mixer control utility 500etc-audio-rc startup script for audio mixer control utility
501etc-bind-etc configuration files for BIND DNS server 501etc-bind-etc configuration files for BIND DNS server
502etc-bind-rc startup script for BIND DNS server 502etc-bind-rc startup script for BIND DNS server
503etc-bootserver-etc configuration files for diskless boot server utilities 503etc-bootserver-etc configuration files for diskless boot server utilities
504etc-bootserver-rc startup script for diskless boot server utilities  504etc-bootserver-rc startup script for diskless boot server utilities
505etc-cron-log empty log file for cron(8) 505etc-cron-log empty log file for cron(8)
506etc-cron-rc startup script for cron(8) command scheduler 506etc-cron-rc startup script for cron(8) command scheduler
507etc-cron-root root file system support for cron(8) command scheduler 507etc-cron-root root file system support for cron(8) command scheduler
508etc-dhclient-etc configuration files for DHCP dyanamic host configuration protocol client utilities 508etc-dhclient-etc configuration files for DHCP dyanamic host configuration protocol client utilities
509etc-dhclient-rc startup script for DHCP dynamic host configuration protocol client 509etc-dhclient-rc startup script for DHCP dynamic host configuration protocol client
510etc-dhcpd-rc startup script for DHCP dynamic host configuration protocol daemon 510etc-dhcpd-rc startup script for DHCP dynamic host configuration protocol daemon
 511etc-extsrc-rc startup scripts for externally added programs
511etc-games-etc configuration file for games 512etc-games-etc configuration file for games
512etc-games-scores empty score files for games 513etc-games-scores empty score files for games
513etc-ipf-rc startup script for IP filter 514etc-ipf-rc startup script for IP filter
514etc-iscsi-etc configuration files for the NetBSD iSCSI target 515etc-iscsi-etc configuration files for the NetBSD iSCSI target
515etc-iscsi-rc startup script for the NetBSD iSCSI target 516etc-iscsi-rc startup script for the NetBSD iSCSI target
516etc-isdn-rc startup script for ISDN (Integrated Services Digital Network) network connectivity utilities 517etc-isdn-rc startup script for ISDN (Integrated Services Digital Network) network connectivity utilities
517etc-krb5-rc startup script for the Kerberos V authentication service  518etc-krb5-rc startup script for the Kerberos V authentication service
518etc-lpr-etc configuration file for printing services 519etc-lpr-etc configuration file for printing services
519etc-lpr-log empty log file for printing services 520etc-lpr-log empty log file for printing services
520etc-lpr-rc startup script for printing services 521etc-lpr-rc startup script for printing services
521etc-mail-etc configuration file for mail utilities 522etc-mail-etc configuration file for mail utilities
522etc-mailwrapper-etc configuration files for the mailwrapper(8) program for multiple mailer support 523etc-mailwrapper-etc configuration files for the mailwrapper(8) program for multiple mailer support
523etc-man-etc configuration files for the online manual pages 524etc-man-etc configuration files for the online manual pages

cvs diff -r1.74 -r1.75 src/distrib/sets/makeflist (expand / switch to unified diff)

--- src/distrib/sets/makeflist 2006/01/04 13:40:23 1.74
+++ src/distrib/sets/makeflist 2009/11/30 16:13:23 1.75
@@ -1,50 +1,67 @@ @@ -1,50 +1,67 @@
1#!/bin/sh 1#!/bin/sh
2# 2#
3# $NetBSD: makeflist,v 1.74 2006/01/04 13:40:23 apb Exp $ 3# $NetBSD: makeflist,v 1.75 2009/11/30 16:13:23 uebayasi Exp $
4# 4#
5# Print out the files in some or all lists. 5# Print out the files in some or all lists.
6# Usage: makeflist [-bxlo] [-a arch] [-m machine] [-s setsdir] [setname ...] 6# Usage: makeflist [-bxlo] [-a arch] [-m machine] [-s setsdir] [setname ...]
7# 7#
8 8
9rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/" 9rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
10. "${rundir}/sets.subr" 10. "${rundir}/sets.subr"
11lists="${nlists}" 11lists="${nlists}"
12 12
13usage() 13usage()
14{ 14{
15 cat 1>&2 <<USAGE 15 cat 1>&2 <<USAGE
16Usage: ${0##*/} [-bxlo] [-a arch] [-m machine] [-s setsdir] [setname [...]] 16Usage: ${0##*/} [-L base,x,ext] [-bxyo] [-a arch] [-m machine] [-s setsdir] [setname [...]]
 17 -L base,x,ext print specified lists
17 -b print netbsd + x11 lists 18 -b print netbsd + x11 lists
18 -x print make x11 lists 19 -x print make x11 lists
 20 -y print make extsrc lists
19 -l just list the selected set names, not the contents 21 -l just list the selected set names, not the contents
20 -o only match obsolete files 22 -o only match obsolete files
21 -a arch set arch (e.g, m68k, mipseb, mipsel, powerpc) [${MACHINE_ARCH}] 23 -a arch set arch (e.g, m68k, mipseb, mipsel, powerpc) [${MACHINE_ARCH}]
22 -m machine set machine (e.g, amiga, i386, macppc) [${MACHINE}] 24 -m machine set machine (e.g, amiga, i386, macppc) [${MACHINE}]
23 -s setsdir directory to find sets [${setsdir}] 25 -s setsdir directory to find sets [${setsdir}]
24 [setname [...]] sets to build [${lists}] 26 [setname [...]] sets to build [${lists}]
25USAGE 27USAGE
26 exit 1 28 exit 1
27} 29}
28 30
29# handle args 31# handle args
30while getopts bxloa:m:s: ch; do 32while getopts L:bxXloa:m:s: ch; do
31 case ${ch} in 33 case ${ch} in
 34 L)
 35 lists=$(
 36 for _list in $( echo ${OPTARG} | tr , ' ' ); do
 37 case $_list in
 38 base) echo "${nlists}" ;;
 39 x) echo "${xlists}" ;;
 40 ext) echo "${extlists}" ;;
 41 esac
 42 done
 43 )
 44 ;;
 45 # backward compat
32 b) 46 b)
33 lists="${nlists} ${xlists}" 47 lists="${nlists} ${xlists}"
34 ;; 48 ;;
35 x) 49 x)
36 lists="${xlists}" 50 lists="${xlists}"
37 ;; 51 ;;
 52 y)
 53 lists="${extlists}"
 54 ;;
38 l) 55 l)
39 listonly=1 56 listonly=1
40 ;; 57 ;;
41 o) 58 o)
42 obsolete=1 59 obsolete=1
43 ;; 60 ;;
44 a) 61 a)
45 MACHINE_ARCH="${OPTARG}" 62 MACHINE_ARCH="${OPTARG}"
46 MACHINE_CPU="$(arch_to_cpu "${OPTARG}")" 63 MACHINE_CPU="$(arch_to_cpu "${OPTARG}")"
47 ;; 64 ;;
48 m) 65 m)
49 MACHINE="${OPTARG}" 66 MACHINE="${OPTARG}"
50 ;; 67 ;;

cvs diff -r1.29 -r1.30 src/distrib/sets/makeobsolete (expand / switch to unified diff)

--- src/distrib/sets/makeobsolete 2006/01/28 19:01:23 1.29
+++ src/distrib/sets/makeobsolete 2009/11/30 16:13:23 1.30
@@ -1,51 +1,68 @@ @@ -1,51 +1,68 @@
1#!/bin/sh 1#!/bin/sh
2# 2#
3# $NetBSD: makeobsolete,v 1.29 2006/01/28 19:01:23 apb Exp $ 3# $NetBSD: makeobsolete,v 1.30 2009/11/30 16:13:23 uebayasi Exp $
4# 4#
5# Print out the obsolete files for a set 5# Print out the obsolete files for a set
6# Usage: makeobsolete [-b] [-x] [-a arch] [-m machine] [-s setsdir] \ 6# Usage: makeobsolete [-b] [-x] [-a arch] [-m machine] [-s setsdir] \
7# [-t target] [setname ...] 7# [-t target] [setname ...]
8# 8#
9 9
10rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/" 10rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
11. "${rundir}/sets.subr" 11. "${rundir}/sets.subr"
12lists="${nlists}" 12lists="${nlists}"
13target=./dist 13target=./dist
14obsolete=1 14obsolete=1
15 15
16usage() 16usage()
17{ 17{
18 cat 1>&2 <<USAGE 18 cat 1>&2 <<USAGE
19Usage: ${0##*/} [-a arch] [-m machine] [-s setsdir] [setname ...] 19Usage: ${0##*/} [-a arch] [-m machine] [-s setsdir] [setname ...]
 20 -L base,x,ext make specified lists
20 -b make netbsd + x11 lists 21 -b make netbsd + x11 lists
21 -x only make x11 lists 22 -x only make x11 lists
 23 -y only make extsrc lists
22 -a arch set arch (e.g, m68k, mips, powerpc) [${MACHINE_ARCH}] 24 -a arch set arch (e.g, m68k, mips, powerpc) [${MACHINE_ARCH}]
23 -m machine set machine (e.g, amiga, i386, macppc) [${MACHINE}] 25 -m machine set machine (e.g, amiga, i386, macppc) [${MACHINE}]
24 -s setsdir directory to find sets [${setd}] 26 -s setsdir directory to find sets [${setd}]
25 -t target target directory [${target}] 27 -t target target directory [${target}]
26 [setname ...] sets to build 28 [setname ...] sets to build
27USAGE 29USAGE
28 exit 1 30 exit 1
29} 31}
30 32
31while getopts bxa:m:s:t: ch; do 33while getopts L:bxya:m:s:t: ch; do
32 case ${ch} in 34 case ${ch} in
 35 L)
 36 lists=$(
 37 for _list in $( echo ${OPTARG} | tr , ' ' ); do
 38 case $_list in
 39 base) echo "${nlists}" ;;
 40 x) echo "${xlists}" ;;
 41 ext) echo "${extlists}" ;;
 42 esac
 43 done
 44 )
 45 ;;
 46 # backward compat
33 b) 47 b)
34 lists="${xlists} ${nlists}" 48 lists="${nlists} ${xlists}"
35 ;; 49 ;;
36 x) 50 x)
37 lists="${xlists}" 51 lists="${xlists}"
38 ;; 52 ;;
 53 y)
 54 lists="${extlists}"
 55 ;;
39 a) 56 a)
40 MACHINE_ARCH="${OPTARG}" 57 MACHINE_ARCH="${OPTARG}"
41 MACHINE_CPU="$(arch_to_cpu "${OPTARG}")" 58 MACHINE_CPU="$(arch_to_cpu "${OPTARG}")"
42 ;; 59 ;;
43 m) 60 m)
44 MACHINE="${OPTARG}" 61 MACHINE="${OPTARG}"
45 ;; 62 ;;
46 s) 63 s)
47 setsdir="${OPTARG}" 64 setsdir="${OPTARG}"
48 ;; 65 ;;
49 t) 66 t)
50 target="${OPTARG}" 67 target="${OPTARG}"
51 ;; 68 ;;

cvs diff -r1.37 -r1.38 src/distrib/sets/makesrctars (expand / switch to unified diff)

--- src/distrib/sets/makesrctars 2009/09/19 07:09:54 1.37
+++ src/distrib/sets/makesrctars 2009/11/30 16:13:23 1.38
@@ -1,61 +1,65 @@ @@ -1,61 +1,65 @@
1#! /bin/sh 1#! /bin/sh
2# 2#
3# $NetBSD: makesrctars,v 1.37 2009/09/19 07:09:54 snj Exp $ 3# $NetBSD: makesrctars,v 1.38 2009/11/30 16:13:23 uebayasi Exp $
4# 4#
5# makesrctars srcdir setdir 5# makesrctars srcdir setdir
6# Create source tarballs in setdir from the source under srcdir. 6# Create source tarballs in setdir from the source under srcdir.
7# 7#
8 8
9prog="${0##*/}" 9prog="${0##*/}"
10rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/" 10rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
11. "${rundir}/sets.subr" 11. "${rundir}/sets.subr"
12 12
13# set defaults 13# set defaults
14xsrcdir= 14xsrcdir=
15quiet=false 15quiet=false
16 16
17GZIP=-9n 17GZIP=-9n
18export GZIP 18export GZIP
19 19
20usage() 20usage()
21{ 21{
22 cat 1>&2 <<USAGE 22 cat 1>&2 <<USAGE
23Usage: ${prog} [-N password/group dir] [-q] [-x xsrcdir] srcdir setdir 23Usage: ${prog} [-N password/group dir] [-q] [-x xsrcdir] [-y extsrcsrcdir] srcdir setdir
24 -N dir location which contains master.passwd and group files 24 -N dir location which contains master.passwd and group files
25 (defaults to \${srcdir}/etc) 25 (defaults to \${srcdir}/etc)
26 -q quiet operation 26 -q quiet operation
27 -x xsrcdir build xsrc.tgz from xsrcdir 27 -x xsrcdir build xsrc.tgz from xsrcdir
 28 -y extsrcsrcdir build extsrc.tgz from extsrcsrcdir
28 srcdir location of sources 29 srcdir location of sources
29 setdir where to write the .tgz files to 30 setdir where to write the .tgz files to
30USAGE 31USAGE
31 exit 1 32 exit 1
32} 33}
33 34
34msg() 35msg()
35{ 36{
36 $quiet || echo $* 37 $quiet || echo $*
37} 38}
38 39
39 40
40# handle args 41# handle args
41while getopts N:qx: ch; do 42while getopts N:qx:y: ch; do
42 case ${ch} in 43 case ${ch} in
43 q) 44 q)
44 quiet=true 45 quiet=true
45 ;; 46 ;;
46 x) 47 x)
47 xsrcdir="${OPTARG}" 48 xsrcdir="${OPTARG}"
48 ;; 49 ;;
 50 y)
 51 extsrcsrcdir="${OPTARG}"
 52 ;;
49 N) 53 N)
50 PASSWD="${OPTARG}" 54 PASSWD="${OPTARG}"
51 ;; 55 ;;
52 *) 56 *)
53 usage 57 usage
54 ;; 58 ;;
55 esac 59 esac
56done 60done
57shift $((${OPTIND} - 1)) 61shift $((${OPTIND} - 1))
58 62
59if [ $# -ne 2 ]; then 63if [ $# -ne 2 ]; then
60 usage 64 usage
61fi 65fi
@@ -122,19 +126,31 @@ makeset sharesrc share @@ -122,19 +126,31 @@ makeset sharesrc share
122 126
123# create xsrc sets 127# create xsrc sets
124# 128#
125if [ -n "${xsrcdir}" ]; then 129if [ -n "${xsrcdir}" ]; then
126 if ! cd "${xsrcdir}"; then 130 if ! cd "${xsrcdir}"; then
127 echo >&2 "${prog}: can't chdir to ${xsrcdir}" 131 echo >&2 "${prog}: can't chdir to ${xsrcdir}"
128 exit 1 132 exit 1
129 fi 133 fi
130 srcprefix=usr/xsrc 134 srcprefix=usr/xsrc
131 makeset xsrc . 135 makeset xsrc .
132fi 136fi
133 137
134 138
 139# create extsrc sets
 140#
 141if [ -n "${extsrcsrcdir}" ]; then
 142 if ! cd "${extsrcsrcdir}"; then
 143 echo >&2 "${prog}: can't chdir to ${extsrcsrcdir}"
 144 exit 1
 145 fi
 146 srcprefix=usr/extsrc
 147 makeset extsrc .
 148fi
 149
 150
135msg "Creating checksum files" 151msg "Creating checksum files"
136(cd "${setdir}" 152(cd "${setdir}"
137 ${CKSUM} -a md5 *.tgz > MD5 153 ${CKSUM} -a md5 *.tgz > MD5
138 ${CKSUM} -a sha512 *.tgz > SHA512 154 ${CKSUM} -a sha512 *.tgz > SHA512
139) 155)
140exit 0 156exit 0

cvs diff -r1.69 -r1.70 src/distrib/sets/maketars (expand / switch to unified diff)

--- src/distrib/sets/maketars 2009/09/12 11:01:55 1.69
+++ src/distrib/sets/maketars 2009/11/30 16:13:23 1.70
@@ -1,80 +1,99 @@ @@ -1,80 +1,99 @@
1#!/bin/sh 1#!/bin/sh
2# 2#
3# $NetBSD: maketars,v 1.69 2009/09/12 11:01:55 apb Exp $ 3# $NetBSD: maketars,v 1.70 2009/11/30 16:13:23 uebayasi Exp $
4# 4#
5# Make release tar files for some or all lists. Usage: 5# Make release tar files for some or all lists. Usage:
6# maketars [-b] [-x] [-i installdir] [-a arch] [-m machine] [-s setsdir] 6# maketars [-b] [-x] [-i installdir] [-a arch] [-m machine] [-s setsdir]
7# [-M metalog] [-N etcdir] [-d destdir] [-t tardir] [setname ...] 7# [-M metalog] [-N etcdir] [-d destdir] [-t tardir] [setname ...]
8# 8#
9# The default sets are "base comp etc games man misc tests text" 9# The default sets are "base comp etc games man misc tests text"
10# The X sets are "xbase xcomp xetc xfont xserver" 10# The X sets are "xbase xcomp xetc xfont xserver"
 11# The extsrc sets are "extbase extcomp extetc"
11# 12#
12# If '-i installdir' is given, copy the given sets to installdir 13# If '-i installdir' is given, copy the given sets to installdir
13# (using pax -rw ...) instead of creating tar files. 14# (using pax -rw ...) instead of creating tar files.
14# In this case, remove "etc" and "xetc" from the list of default sets. 15# In this case, remove "etc", "xetc", and "extetc" from the list of default sets.
15# 16#
16 17
17prog="${0##*/}" 18prog="${0##*/}"
18rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/" 19rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
19. "${rundir}/sets.subr" 20. "${rundir}/sets.subr"
20 21
21# set defaults 22# set defaults
22lists="${nlists}" 23lists="${nlists}"
23tars="${RELEASEDIR}" 24tars="${RELEASEDIR}"
24dest="${DESTDIR}" 25dest="${DESTDIR}"
25metalog= 26metalog=
26installdir= 27installdir=
27etcdir= 28etcdir=
28setfilesonly=false 29setfilesonly=false
29quiet=false 30quiet=false
30 31
31usage() 32usage()
32{ 33{
33 cat 1>&2 <<USAGE 34 cat 1>&2 <<USAGE
34Usage: ${prog} [-b] [-x] [-i idir] [-a arch] [-m machine] [-s setsdir] [-S] 35Usage: ${prog} [-L base,x,ext] [-b] [-x] [-y] [-i idir] [-a arch] [-m machine] [-s setsdir] [-S]
35 [-M metalog] [-N etcdir] [-d dest] [-t targetdir] [setname ...] 36 [-M metalog] [-N etcdir] [-d dest] [-t targetdir] [setname ...]
 37 -L base,x,ext Make specified lists
36 -b Make both netbsd and x11 lists 38 -b Make both netbsd and x11 lists
37 -x Only make x11 lists 39 -x Only make x11 lists
38 [Default: make netbsd lists] 40 [Default: make netbsd lists]
 41 -y Only make extsrc lists
 42 [Default: make netbsd lists]
39 -i idir Install sets to idir instead of creating tar files 43 -i idir Install sets to idir instead of creating tar files
40 -a arch Set arch (e.g, m68k, mipseb, mipsel, powerpc) [${MACHINE_ARCH}] 44 -a arch Set arch (e.g, m68k, mipseb, mipsel, powerpc) [${MACHINE_ARCH}]
41 -m machine Set machine (e.g, amiga, i386, macppc) [${MACHINE}] 45 -m machine Set machine (e.g, amiga, i386, macppc) [${MACHINE}]
42 -q Quiet operation 46 -q Quiet operation
43 -s setsdir Directory to find sets [${setsdir}] 47 -s setsdir Directory to find sets [${setsdir}]
44 -S Exit after creating set files ${dest}/etc/mtree/set.* 48 -S Exit after creating set files ${dest}/etc/mtree/set.*
45 -M metalog metalog file 49 -M metalog metalog file
46 -N etcdir etc dir for metalog use [${dest}/etc] 50 -N etcdir etc dir for metalog use [${dest}/etc]
47 -d dest \${DESTDIR} [${dest}] 51 -d dest \${DESTDIR} [${dest}]
48 -t targetdir \${RELEASEDIR} [${tars}] 52 -t targetdir \${RELEASEDIR} [${tars}]
49 [setname ...] Sets to build [${lists}] 53 [setname ...] Sets to build [${lists}]
50USAGE 54USAGE
51 exit 1 55 exit 1
52} 56}
53 57
54msg() 58msg()
55{ 59{
56 $quiet || echo $* 60 $quiet || echo $*
57} 61}
58 62
59# handle args 63# handle args
60while getopts bxi:a:m:qs:SM:N:d:t: ch; do 64while getopts L:bxyi:a:m:qs:SM:N:d:t: ch; do
61 case ${ch} in 65 case ${ch} in
 66 L)
 67 lists=$(
 68 for _list in $( echo ${OPTARG} | tr , ' ' ); do
 69 case $_list in
 70 base) echo "${nlists}" ;;
 71 x) echo "${xlists}" ;;
 72 ext) echo "${extlists}" ;;
 73 esac
 74 done
 75 )
 76 ;;
 77 # backward compat
62 b) 78 b)
63 lists="${nlists} ${xlists}" 79 lists="${nlists} ${xlists}"
64 ;; 80 ;;
65 x) 81 x)
66 lists="${xlists}" 82 lists="${xlists}"
67 ;; 83 ;;
 84 y)
 85 lists="${extlists}"
 86 ;;
68 i) 87 i)
69 installdir="${OPTARG}" 88 installdir="${OPTARG}"
70 ;; 89 ;;
71 a) 90 a)
72 MACHINE_ARCH="${OPTARG}" 91 MACHINE_ARCH="${OPTARG}"
73 MACHINE_CPU="$(arch_to_cpu "${OPTARG}")" 92 MACHINE_CPU="$(arch_to_cpu "${OPTARG}")"
74 ;; 93 ;;
75 m) 94 m)
76 MACHINE="${OPTARG}" 95 MACHINE="${OPTARG}"
77 ;; 96 ;;
78 q) 97 q)
79 quiet=true 98 quiet=true
80 ;; 99 ;;
@@ -92,28 +111,28 @@ while getopts bxi:a:m:qs:SM:N:d:t: ch; d @@ -92,28 +111,28 @@ while getopts bxi:a:m:qs:SM:N:d:t: ch; d
92 ;; 111 ;;
93 d) 112 d)
94 dest="${OPTARG}" 113 dest="${OPTARG}"
95 ;; 114 ;;
96 t) 115 t)
97 tars="${OPTARG}" 116 tars="${OPTARG}"
98 ;; 117 ;;
99 *) 118 *)
100 usage 119 usage
101 ;; 120 ;;
102 esac 121 esac
103done 122done
104shift $((${OPTIND} - 1)) 123shift $((${OPTIND} - 1))
105if [ -n "${installdir}" ]; then # if -i, remove etc & xetc from the default list 124if [ -n "${installdir}" ]; then # if -i, remove etc + xetc + extetc from the default list
106 lists="$(echo ${lists} | ${SED} -e 's/ etc / /;s/ xetc / /')" 125 lists="$(echo ${lists} | ${SED} -e 's/ etc / /;s/ xetc / /;s/ extetc / /')"
107fi 126fi
108if [ -n "$*" ]; then 127if [ -n "$*" ]; then
109 lists="$*" 128 lists="$*"
110fi 129fi
111 130
112if [ -z "${tars}" -a -z "${installdir}" ]; then 131if [ -z "${tars}" -a -z "${installdir}" ]; then
113 echo >&2 "${prog}: \${RELEASEDIR} must be set, or -i must be used" 132 echo >&2 "${prog}: \${RELEASEDIR} must be set, or -i must be used"
114 exit 1 133 exit 1
115fi 134fi
116 135
117if [ -z "${dest}" ]; then 136if [ -z "${dest}" ]; then
118 echo >&2 "${prog}: \${DESTDIR} must be set" 137 echo >&2 "${prog}: \${DESTDIR} must be set"
119 exit 1 138 exit 1

cvs diff -r1.91 -r1.92 src/distrib/sets/sets.subr (expand / switch to unified diff)

--- src/distrib/sets/sets.subr 2009/11/05 17:34:25 1.91
+++ src/distrib/sets/sets.subr 2009/11/30 16:13:23 1.92
@@ -1,21 +1,22 @@ @@ -1,21 +1,22 @@
1# $NetBSD: sets.subr,v 1.91 2009/11/05 17:34:25 dyoung Exp $ 1# $NetBSD: sets.subr,v 1.92 2009/11/30 16:13:23 uebayasi Exp $
2# 2#
3 3
4# 4#
5# The following variables contain defaults for sets.subr functions and callers: 5# The following variables contain defaults for sets.subr functions and callers:
6# setsdir path to src/distrib/sets 6# setsdir path to src/distrib/sets
7# nlists list of base sets 7# nlists list of base sets
8# xlists list of x11 sets 8# xlists list of x11 sets
 9# extlists list of extsrc sets
9# obsolete controls if obsolete files are selected instead 10# obsolete controls if obsolete files are selected instead
10# module if != "no", enable MODULE sets 11# module if != "no", enable MODULE sets
11# shlib shared library format (a.out, elf, or "") 12# shlib shared library format (a.out, elf, or "")
12# stlib static library format (a.out, elf) 13# stlib static library format (a.out, elf)
13# 14#
14# The following <bsd.own.mk> variables are exported to the environment: 15# The following <bsd.own.mk> variables are exported to the environment:
15# MACHINE  16# MACHINE
16# MACHINE_ARCH 17# MACHINE_ARCH
17# MACHINE_CPU 18# MACHINE_CPU
18# HAVE_BINUTILS 19# HAVE_BINUTILS
19# HAVE_GCC 20# HAVE_GCC
20# HAVE_GDB 21# HAVE_GDB
21# TOOLCHAIN_MISSING 22# TOOLCHAIN_MISSING
@@ -26,26 +27,27 @@ MKVARS="\ @@ -26,26 +27,27 @@ MKVARS="\
26 MKBFD \ 27 MKBFD \
27 MKBINUTILS \ 28 MKBINUTILS \
28 MKCATPAGES \ 29 MKCATPAGES \
29 MKCOMPAT \ 30 MKCOMPAT \
30 MKCRYPTO \ 31 MKCRYPTO \
31 MKCRYPTO_IDEA \ 32 MKCRYPTO_IDEA \
32 MKCRYPTO_MDC2 \ 33 MKCRYPTO_MDC2 \
33 MKCRYPTO_RC5 \ 34 MKCRYPTO_RC5 \
34 MKCVS \ 35 MKCVS \
35 MKDEBUG \ 36 MKDEBUG \
36 MKDEBUGLIB \ 37 MKDEBUGLIB \
37 MKDOC \ 38 MKDOC \
38 MKDYNAMICROOT \ 39 MKDYNAMICROOT \
 40 MKEXTSRC \
39 MKGCC \ 41 MKGCC \
40 MKGCCCMDS \ 42 MKGCCCMDS \
41 MKGDB \ 43 MKGDB \
42 MKHESIOD \ 44 MKHESIOD \
43 MKHTML \ 45 MKHTML \
44 MKINET6 \ 46 MKINET6 \
45 MKINFO \ 47 MKINFO \
46 MKIPFILTER \ 48 MKIPFILTER \
47 MKISCSI \ 49 MKISCSI \
48 MKKERBEROS \ 50 MKKERBEROS \
49 MKKMOD \ 51 MKKMOD \
50 MKLDAP \ 52 MKLDAP \
51 MKLINT \ 53 MKLINT \
@@ -215,41 +217,42 @@ stlib=$shlib @@ -215,41 +217,42 @@ stlib=$shlib
215# Now check for MKPIC or specials and turn off shlib if need be. 217# Now check for MKPIC or specials and turn off shlib if need be.
216if [ "${MKPIC}" = "no" ]; then 218if [ "${MKPIC}" = "no" ]; then
217 shlib=no 219 shlib=no
218fi 220fi
219if [ "${MACHINE_ARCH}" = "m68000" ]; then 221if [ "${MACHINE_ARCH}" = "m68000" ]; then
220 shlib=no # Turn off shlibs for some ports. 222 shlib=no # Turn off shlibs for some ports.
221fi 223fi
222if [ "$module" != "no" ]; then 224if [ "$module" != "no" ]; then
223 nlists="base comp etc games man misc modules tests text" 225 nlists="base comp etc games man misc modules tests text"
224else 226else
225 nlists="base comp etc games man misc tests text" 227 nlists="base comp etc games man misc tests text"
226fi 228fi
227xlists="xbase xcomp xetc xfont xserver" 229xlists="xbase xcomp xetc xfont xserver"
 230extlists="extbase extcomp extetc"
228 231
229OSRELEASE=`${HOST_SH} ${NETBSDSRCDIR}/sys/conf/osrelease.sh` 232OSRELEASE=`${HOST_SH} ${NETBSDSRCDIR}/sys/conf/osrelease.sh`
230MODULEDIR="stand/${MACHINE}/${OSRELEASE}/modules" 233MODULEDIR="stand/${MACHINE}/${OSRELEASE}/modules"
231SUBST="s#@MODULEDIR@#${MODULEDIR}#g" 234SUBST="s#@MODULEDIR@#${MODULEDIR}#g"
232SUBST="${SUBST};s#@OSRELEASE@#${OSRELEASE}#g" 235SUBST="${SUBST};s#@OSRELEASE@#${OSRELEASE}#g"
233SUBST="${SUBST};s#@MACHINE@#${MACHINE}#g" 236SUBST="${SUBST};s#@MACHINE@#${MACHINE}#g"
234 237
235# 238#
236# list_set_files setfile [...] 239# list_set_files setfile [...]
237#  240#
238# Produce a packing list for setfile(s). 241# Produce a packing list for setfile(s).
239# In each file, a record consists of a path and a System Package name, 242# In each file, a record consists of a path and a System Package name,
240# separated by whitespace. E.g., 243# separated by whitespace. E.g.,
241# 244#
242# # $NetBSD: sets.subr,v 1.91 2009/11/05 17:34:25 dyoung Exp $ 245# # $NetBSD: sets.subr,v 1.92 2009/11/30 16:13:23 uebayasi Exp $
243# . base-sys-root [keyword[,...]] 246# . base-sys-root [keyword[,...]]
244# ./altroot base-sys-root 247# ./altroot base-sys-root
245# ./bin base-sys-root 248# ./bin base-sys-root
246# ./bin/[ base-util-root 249# ./bin/[ base-util-root
247# ./bin/cat base-util-root 250# ./bin/cat base-util-root
248# [...] 251# [...]
249# 252#
250# A # in the first column marks a comment. 253# A # in the first column marks a comment.
251# 254#
252# If ${obsolete} != 0, only entries with an "obsolete" keyword will 255# If ${obsolete} != 0, only entries with an "obsolete" keyword will
253# be printed. All other keywords must be present. 256# be printed. All other keywords must be present.
254# 257#
255# The third field is an optional comma separated list of keywords to 258# The third field is an optional comma separated list of keywords to
@@ -262,26 +265,27 @@ SUBST="${SUBST};s#@MACHINE@#${MACHINE}#g @@ -262,26 +265,27 @@ SUBST="${SUBST};s#@MACHINE@#${MACHINE}#g
262# bfd obsolete, use binutils. 265# bfd obsolete, use binutils.
263# binutils ${MKBINUTILS} != no 266# binutils ${MKBINUTILS} != no
264# catpages ${MKCATPAGES} != no 267# catpages ${MKCATPAGES} != no
265# compat ${MKCOMPAT} != no 268# compat ${MKCOMPAT} != no
266# crypto ${MKCRYPTO} != no 269# crypto ${MKCRYPTO} != no
267# crypto_idea ${MKCRYPTO_IDEA} != no 270# crypto_idea ${MKCRYPTO_IDEA} != no
268# crypto_mdc2 ${MKCRYPTO_MDC2} != no 271# crypto_mdc2 ${MKCRYPTO_MDC2} != no
269# crypto_rc5 ${MKCRYPTO_RC5} != no 272# crypto_rc5 ${MKCRYPTO_RC5} != no
270# cvs ${MKCVS} != no 273# cvs ${MKCVS} != no
271# debug ${MKDEBUG} != no 274# debug ${MKDEBUG} != no
272# debuglib ${MKDEBUGLIB} != no 275# debuglib ${MKDEBUGLIB} != no
273# doc ${MKDOC} != no 276# doc ${MKDOC} != no
274# dynamicroot ${MKDYNAMICROOT} != no 277# dynamicroot ${MKDYNAMICROOT} != no
 278# extsrc ${MKEXTSRC} != no
275# gcc ${MKGCC} != no 279# gcc ${MKGCC} != no
276# gcccmds ${MKGCCCMDS} != no 280# gcccmds ${MKGCCCMDS} != no
277# gdb ${MKGDB} != no 281# gdb ${MKGDB} != no
278# hesiod ${MKHESIOD} != no 282# hesiod ${MKHESIOD} != no
279# html ${MKHTML} != no 283# html ${MKHTML} != no
280# inet6 ${MKINET6} != no 284# inet6 ${MKINET6} != no
281# info ${MKINFO} != no 285# info ${MKINFO} != no
282# ipfilter ${MKIPFILTER} != no 286# ipfilter ${MKIPFILTER} != no
283# iscsi ${MKISCSI} != no 287# iscsi ${MKISCSI} != no
284# kerberos ${MKKERBEROS} != no 288# kerberos ${MKKERBEROS} != no
285# kmod ${MKKMOD} != no 289# kmod ${MKKMOD} != no
286# ldap ${MKLDAP} != no 290# ldap ${MKLDAP} != no
287# lint ${MKLINT} != no 291# lint ${MKLINT} != no
@@ -405,55 +409,63 @@ list_set_files() @@ -405,55 +409,63 @@ list_set_files()
405# list_set_lists setname 409# list_set_lists setname
406#  410#
407# Print to stdout a list of files, one filename per line, which 411# Print to stdout a list of files, one filename per line, which
408# concatenate to create the packing list for setname. E.g., 412# concatenate to create the packing list for setname. E.g.,
409# 413#
410# .../lists/base/mi 414# .../lists/base/mi
411# .../lists/base/rescue.mi 415# .../lists/base/rescue.mi
412# .../lists/base/md.i386 416# .../lists/base/md.i386
413# [...] 417# [...]
414# 418#
415# For a given setname $set, the following files may be selected from 419# For a given setname $set, the following files may be selected from
416# .../list/$set: 420# .../list/$set:
417# mi 421# mi
 422# mi.ext.*
418# ad.${MACHINE_ARCH} 423# ad.${MACHINE_ARCH}
419# (or) ad.${MACHINE_CPU} 424# (or) ad.${MACHINE_CPU}
420# ad.${MACHINE_CPU}.shl 425# ad.${MACHINE_CPU}.shl
421# md.${MACHINE}.${MACHINE_ARCH} 426# md.${MACHINE}.${MACHINE_ARCH}
422# (or) md.${MACHINE} 427# (or) md.${MACHINE}
423# stl.mi 428# stl.mi
424# stl.stlib 429# stl.${stlib}
425# shl.mi 430# shl.mi
426# shl.shlib 431# shl.mi.ext.*
 432# shl.${shlib}
 433# shl.${shlib}.ext.*
427# module.mi if ${module} != no 434# module.mi if ${module} != no
428# module.${MACHINE} if ${module} != no 435# module.${MACHINE} if ${module} != no
429# module.ad.${MACHINE_ARCH} if ${module} != no 436# module.ad.${MACHINE_ARCH} if ${module} != no
430# (or) module.ad.${MACHINE_CPU} if ${module} != no 437# (or) module.ad.${MACHINE_CPU} if ${module} != no
431# rescue.shl 438# rescue.shl
432# rescue.${MACHINE} 439# rescue.${MACHINE}
433# rescue.ad.${MACHINE_ARCH} 440# rescue.ad.${MACHINE_ARCH}
434# (or) rescue.ad.${MACHINE_CPU} 441# (or) rescue.ad.${MACHINE_CPU}
435# rescue.ad.${MACHINE_CPU}.shl 442# rescue.ad.${MACHINE_CPU}.shl
436# 443#
437# Environment: 444# Environment:
438# shlib 445# shlib
439# stlib 446# stlib
440# 447#
441list_set_lists() 448list_set_lists()
442{ 449{
443 setname=$1 450 setname=$1
444 451
445 setdir=$setsdir/lists/$setname 452 setdir=$setsdir/lists/$setname
446 echo $setdir/mi 453 echo $setdir/mi
 454 for _extsrc_pkg in ${EXTSRCS}; do
 455 if [ -f $setdir/mi.ext.${_extsrc_pkg} ]; then
 456 echo $setdir/mi.ext.${_extsrc_pkg}
 457 fi
 458 done
447 if [ "${MACHINE}" != "${MACHINE_ARCH}" ]; then 459 if [ "${MACHINE}" != "${MACHINE_ARCH}" ]; then
448 # Prefer an ad.${MACHINE_ARCH} over an ad.${MACHINE_CPU}, 460 # Prefer an ad.${MACHINE_ARCH} over an ad.${MACHINE_CPU},
449 # since the arch-specific one will be more specific than 461 # since the arch-specific one will be more specific than
450 # the cpu-specific one. 462 # the cpu-specific one.
451 if [ -f $setdir/ad.${MACHINE_ARCH} ]; then 463 if [ -f $setdir/ad.${MACHINE_ARCH} ]; then
452 echo $setdir/ad.${MACHINE_ARCH} 464 echo $setdir/ad.${MACHINE_ARCH}
453 elif [ -f $setdir/ad.${MACHINE_CPU} ]; then 465 elif [ -f $setdir/ad.${MACHINE_CPU} ]; then
454 echo $setdir/ad.${MACHINE_CPU} 466 echo $setdir/ad.${MACHINE_CPU}
455 fi 467 fi
456 if [ "$shlib" != "no" -a \ 468 if [ "$shlib" != "no" -a \
457 -f $setdir/ad.${MACHINE_CPU}.shl ]; then 469 -f $setdir/ad.${MACHINE_CPU}.shl ]; then
458 echo $setdir/ad.${MACHINE_CPU}.shl 470 echo $setdir/ad.${MACHINE_CPU}.shl
459 fi 471 fi
@@ -463,29 +475,39 @@ list_set_lists() @@ -463,29 +475,39 @@ list_set_lists()
463 elif [ -f $setdir/md.${MACHINE} ]; then 475 elif [ -f $setdir/md.${MACHINE} ]; then
464 echo $setdir/md.${MACHINE} 476 echo $setdir/md.${MACHINE}
465 fi 477 fi
466 if [ -f $setdir/stl.mi ]; then 478 if [ -f $setdir/stl.mi ]; then
467 echo $setdir/stl.mi 479 echo $setdir/stl.mi
468 fi 480 fi
469 if [ -f $setdir/stl.${stlib} ]; then 481 if [ -f $setdir/stl.${stlib} ]; then
470 echo $setdir/stl.${stlib} 482 echo $setdir/stl.${stlib}
471 fi 483 fi
472 if [ "$shlib" != "no" ]; then 484 if [ "$shlib" != "no" ]; then
473 if [ -f $setdir/shl.mi ]; then 485 if [ -f $setdir/shl.mi ]; then
474 echo $setdir/shl.mi 486 echo $setdir/shl.mi
475 fi 487 fi
 488 for _extsrc_pkg in ${EXTSRCS}; do
 489 if [ -f $setdir/shl.mi.ext.${_extsrc_pkg} ]; then
 490 echo $setdir/shl.mi.ext.${_extsrc_pkg}
 491 fi
 492 done
476 if [ -f $setdir/shl.${shlib} ]; then 493 if [ -f $setdir/shl.${shlib} ]; then
477 echo $setdir/shl.${shlib} 494 echo $setdir/shl.${shlib}
478 fi 495 fi
 496 for _extsrc_pkg in ${EXTSRCS}; do
 497 if [ -f $setdir/shl.${shlib}.ext.${_extsrc_pkg} ]; then
 498 echo $setdir/shl.${shlib}.ext.${_extsrc_pkg}
 499 fi
 500 done
479 fi 501 fi
480 if [ "$module" != "no" ]; then 502 if [ "$module" != "no" ]; then
481 if [ -f $setdir/module.mi ]; then 503 if [ -f $setdir/module.mi ]; then
482 echo $setdir/module.mi 504 echo $setdir/module.mi
483 fi 505 fi
484 if [ -f $setdir/module.${MACHINE} ]; then 506 if [ -f $setdir/module.${MACHINE} ]; then
485 echo $setdir/module.${MACHINE} 507 echo $setdir/module.${MACHINE}
486 fi 508 fi
487 if [ "${MACHINE}" != "${MACHINE_ARCH}" ]; then 509 if [ "${MACHINE}" != "${MACHINE_ARCH}" ]; then
488 # Prefer a module.ad.${MACHINE_ARCH} over a 510 # Prefer a module.ad.${MACHINE_ARCH} over a
489 # module.ad.${MACHINE_CPU}, since the arch- 511 # module.ad.${MACHINE_CPU}, since the arch-
490 # specific one will be more specific than the 512 # specific one will be more specific than the
491 # cpu-specific one. 513 # cpu-specific one.

cvs diff -r1.373 -r1.374 src/etc/Makefile (expand / switch to unified diff)

--- src/etc/Makefile 2009/09/29 23:56:27 1.373
+++ src/etc/Makefile 2009/11/30 16:13:22 1.374
@@ -1,14 +1,14 @@ @@ -1,14 +1,14 @@
1# $NetBSD: Makefile,v 1.373 2009/09/29 23:56:27 tsarna Exp $ 1# $NetBSD: Makefile,v 1.374 2009/11/30 16:13:22 uebayasi Exp $
2# from: @(#)Makefile 8.7 (Berkeley) 5/25/95 2# from: @(#)Makefile 8.7 (Berkeley) 5/25/95
3 3
4# Environment variables without default values: 4# Environment variables without default values:
5# DESTDIR must be set before anything in this file will work. 5# DESTDIR must be set before anything in this file will work.
6# RELEASEDIR is where the tarred up stuff for a snapshot or 6# RELEASEDIR is where the tarred up stuff for a snapshot or
7# release will be placed. 7# release will be placed.
8# 8#
9# Environment variables with default values: 9# Environment variables with default values:
10# LOCALTIME will set the default local time for the system you 10# LOCALTIME will set the default local time for the system you
11# build; it determines what /etc/localtime is symlink'd to. 11# build; it determines what /etc/localtime is symlink'd to.
12# KERNSRCDIR points to kernel source; it is set by default to ../sys, 12# KERNSRCDIR points to kernel source; it is set by default to ../sys,
13# but can be overridden. 13# but can be overridden.
14# KERNOBJDIR is the kernel build directory, it defaults to 14# KERNOBJDIR is the kernel build directory, it defaults to
@@ -155,26 +155,29 @@ distribution: .PHONY .MAKE check_DESTDIR @@ -155,26 +155,29 @@ distribution: .PHONY .MAKE check_DESTDIR
155.if !defined(DISTRIBUTION_DONE) 155.if !defined(DISTRIBUTION_DONE)
156.if !defined(INSTALL_DONE) 156.if !defined(INSTALL_DONE)
157 ${MAKEDIRTARGET} ${NETBSDSRCDIR} include _DISTRIB= 157 ${MAKEDIRTARGET} ${NETBSDSRCDIR} include _DISTRIB=
158 ${MAKEDIRTARGET} ${NETBSDSRCDIR} install _DISTRIB= 158 ${MAKEDIRTARGET} ${NETBSDSRCDIR} install _DISTRIB=
159.endif # !INSTALL_DONE 159.endif # !INSTALL_DONE
160 ${MAKEDIRTARGET} . install-etc-files 160 ${MAKEDIRTARGET} . install-etc-files
161. if ${MKX11} != "no" 161. if ${MKX11} != "no"
162. if ${X11FLAVOUR} == "Xorg" 162. if ${X11FLAVOUR} == "Xorg"
163 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/external/mit/xorg distribution 163 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/external/mit/xorg distribution
164. else 164. else
165 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/x11 distribution 165 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/x11 distribution
166. endif 166. endif
167. endif 167. endif
 168. if ${MKEXTSRC} != "no"
 169 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/extsrc distribution
 170. endif
168 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/distrib/sets makesetfiles 171 ${MAKEDIRTARGET} ${NETBSDSRCDIR}/distrib/sets makesetfiles
169.endif # !DISTRIBUTION_DONE 172.endif # !DISTRIBUTION_DONE
170 173
171 174
172CLEANFILES+= MAKEDEV 175CLEANFILES+= MAKEDEV
173MAKEDEV: .EXEC 176MAKEDEV: .EXEC
174 ${_MKTARGET_CREATE} 177 ${_MKTARGET_CREATE}
175 MACHINE=${MACHINE:Q} MACHINE_ARCH=${MACHINE_ARCH:Q} \ 178 MACHINE=${MACHINE:Q} MACHINE_ARCH=${MACHINE_ARCH:Q} \
176 NETBSDSRCDIR=${NETBSDSRCDIR:Q} \ 179 NETBSDSRCDIR=${NETBSDSRCDIR:Q} \
177 ${TOOL_AWK} -f ${.CURDIR}/MAKEDEV.awk ${.CURDIR}/MAKEDEV.tmpl \ 180 ${TOOL_AWK} -f ${.CURDIR}/MAKEDEV.awk ${.CURDIR}/MAKEDEV.tmpl \
178 > ${.TARGET} 181 > ${.TARGET}
179 182
180RELEASEVARS= BSDOBJDIR BSDSRCDIR BUILDID \ 183RELEASEVARS= BSDOBJDIR BSDSRCDIR BUILDID \

cvs diff -r1.10 -r1.11 src/etc/mtree/Makefile (expand / switch to unified diff)

--- src/etc/mtree/Makefile 2009/11/19 19:57:40 1.10
+++ src/etc/mtree/Makefile 2009/11/30 16:13:22 1.11
@@ -1,29 +1,31 @@ @@ -1,29 +1,31 @@
1# $NetBSD: Makefile,v 1.10 2009/11/19 19:57:40 drochner Exp $ 1# $NetBSD: Makefile,v 1.11 2009/11/30 16:13:22 uebayasi Exp $
2 2
3.include <bsd.own.mk> 3.include <bsd.own.mk>
4 4
5.if ${MKX11} != "no" 5.if ${MKX11} != "no"
6. if ${X11FLAVOUR} == "Xorg" 6. if ${X11FLAVOUR} == "Xorg"
7NETBSD_DIST_X11_FILE= ${.CURDIR}/NetBSD.dist.Xorg 7NETBSD_DIST_X11_FILE= ${.CURDIR}/NetBSD.dist.Xorg
8. else 8. else
9NETBSD_DIST_X11_FILE= ${.CURDIR}/NetBSD.dist.XFree86 9NETBSD_DIST_X11_FILE= ${.CURDIR}/NetBSD.dist.XFree86
10. endif 10. endif
11.else 
12NETBSD_DIST_X11_FILE= 
13.endif 11.endif
14 12
15NetBSD.dist: NetBSD.dist.base ${NETBSD_DIST_X11_FILE} 13.if ${MKEXTSRC} != "no"
16 ${TOOL_CAT} ${.CURDIR}/NetBSD.dist.base ${NETBSD_DIST_X11_FILE} > \ 14NETBSD_DIST_EXTSRC_FILE= ${.CURDIR}/NetBSD.dist.extsrc
 15.endif
 16
 17NetBSD.dist: NetBSD.dist.base ${NETBSD_DIST_X11_FILE} ${NETBSD_DIST_EXTSRC_FILE}
 18 ${TOOL_CAT} ${.CURDIR}/NetBSD.dist.base ${NETBSD_DIST_X11_FILE} ${NETBSD_DIST_EXTSRC_FILE} > \
17 ${.TARGET} 19 ${.TARGET}
18 20
19CONFIGFILES= NetBSD.dist special 21CONFIGFILES= NetBSD.dist special
20FILESDIR= /etc/mtree 22FILESDIR= /etc/mtree
21 23
22# distrib-dirs -- 24# distrib-dirs --
23# Populate $DESTDIR with directories needed by NetBSD 25# Populate $DESTDIR with directories needed by NetBSD
24# 26#
25.if ${MKUNPRIVED} == "no" 27.if ${MKUNPRIVED} == "no"
26TOOL_MTREE.unpriv= 28TOOL_MTREE.unpriv=
27.else 29.else
28TOOL_MTREE.unpriv= -W 30TOOL_MTREE.unpriv= -W
29.endif 31.endif

cvs diff -r1.259 -r1.260 src/share/mk/bsd.README (expand / switch to unified diff)

--- src/share/mk/bsd.README 2009/11/15 14:59:47 1.259
+++ src/share/mk/bsd.README 2009/11/30 16:13:23 1.260
@@ -1,14 +1,14 @@ @@ -1,14 +1,14 @@
1# $NetBSD: bsd.README,v 1.259 2009/11/15 14:59:47 pgoyette Exp $ 1# $NetBSD: bsd.README,v 1.260 2009/11/30 16:13:23 uebayasi Exp $
2# @(#)bsd.README 8.2 (Berkeley) 4/2/94 2# @(#)bsd.README 8.2 (Berkeley) 4/2/94
3 3
4This is the README file for the make "include" files for the NetBSD 4This is the README file for the make "include" files for the NetBSD
5source tree. The files are installed in /usr/share/mk, and are, 5source tree. The files are installed in /usr/share/mk, and are,
6by convention, named with the suffix ".mk". 6by convention, named with the suffix ".mk".
7 7
8Note, this file is not intended to replace reading through the .mk 8Note, this file is not intended to replace reading through the .mk
9files for anything tricky. 9files for anything tricky.
10 10
11=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= 11=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
12 12
13RANDOM THINGS WORTH KNOWING: 13RANDOM THINGS WORTH KNOWING:
14 14
@@ -153,26 +153,31 @@ MKDEBUG If "no", don't build and instal @@ -153,26 +153,31 @@ MKDEBUG If "no", don't build and instal
153 153
154MKDEBUGLIB Build *_g.a debugging libraries, which are compiled 154MKDEBUGLIB Build *_g.a debugging libraries, which are compiled
155 with -DDEBUG. 155 with -DDEBUG.
156 Default: no 156 Default: no
157 157
158MKDOC If "no", don't build or install the documentation. 158MKDOC If "no", don't build or install the documentation.
159 Default: yes 159 Default: yes
160 160
161MKDYNAMICROOT If "no", build programs in /bin and /sbin statically, 161MKDYNAMICROOT If "no", build programs in /bin and /sbin statically,
162 don't install certain libraries in /lib, and don't 162 don't install certain libraries in /lib, and don't
163 install the shared linker into /libexec. 163 install the shared linker into /libexec.
164 Default: yes 164 Default: yes
165 165
 166MKEXTSRC If not "no", 'make build' also descends into either src/extsrc
 167 to cross-build programs and libraries externally added by
 168 users, and automatically enables creation of those sets.
 169 Default: no
 170
166MKGCC If "no", don't build gcc(1) or any of the GCC-related 171MKGCC If "no", don't build gcc(1) or any of the GCC-related
167 libraries (libgcc, libobjc, libstdc++). 172 libraries (libgcc, libobjc, libstdc++).
168 Default: yes 173 Default: yes
169 174
170MKGCCCMDS If "no", don't build gcc(1), but do build the GCC-related 175MKGCCCMDS If "no", don't build gcc(1), but do build the GCC-related
171 libraries (libgcc, libobjc, libstdc++). 176 libraries (libgcc, libobjc, libstdc++).
172 Default: yes 177 Default: yes
173 178
174MKGDB If "no", don't build gdb(1). 179MKGDB If "no", don't build gdb(1).
175 Default: yes 180 Default: yes
176 181
177MKHESIOD If "no", disables building of Hesiod infrastructure 182MKHESIOD If "no", disables building of Hesiod infrastructure
178 (libraries and support programs). 183 (libraries and support programs).

cvs diff -r1.597 -r1.598 src/share/mk/bsd.own.mk (expand / switch to unified diff)

--- src/share/mk/bsd.own.mk 2009/11/28 16:48:25 1.597
+++ src/share/mk/bsd.own.mk 2009/11/30 16:13:23 1.598
@@ -1,14 +1,14 @@ @@ -1,14 +1,14 @@
1# $NetBSD: bsd.own.mk,v 1.597 2009/11/28 16:48:25 mbalmer Exp $ 1# $NetBSD: bsd.own.mk,v 1.598 2009/11/30 16:13:23 uebayasi Exp $
2 2
3.if !defined(_BSD_OWN_MK_) 3.if !defined(_BSD_OWN_MK_)
4_BSD_OWN_MK_=1 4_BSD_OWN_MK_=1
5 5
6MAKECONF?= /etc/mk.conf 6MAKECONF?= /etc/mk.conf
7.-include "${MAKECONF}" 7.-include "${MAKECONF}"
8 8
9# 9#
10# CPU model, derived from MACHINE_ARCH 10# CPU model, derived from MACHINE_ARCH
11# 11#
12MACHINE_CPU= ${MACHINE_ARCH:C/mipse[bl]/mips/:C/mips64e[bl]/mips/:C/sh3e[bl]/sh3/:S/m68000/m68k/:S/armeb/arm/} 12MACHINE_CPU= ${MACHINE_ARCH:C/mipse[bl]/mips/:C/mips64e[bl]/mips/:C/sh3e[bl]/sh3/:S/m68000/m68k/:S/armeb/arm/}
13 13
14# 14#
@@ -508,27 +508,28 @@ NOPROFILE= # defined @@ -508,27 +508,28 @@ NOPROFILE= # defined
508 508
509# 509#
510# The ia64 port is incomplete. 510# The ia64 port is incomplete.
511# 511#
512.if ${MACHINE_ARCH} == "ia64" 512.if ${MACHINE_ARCH} == "ia64"
513MKLINT= no 513MKLINT= no
514MKGDB= no 514MKGDB= no
515.endif 515.endif
516 516
517# 517#
518# On the MIPS, all libs are compiled with ABIcalls (and are thus PIC), 518# On the MIPS, all libs are compiled with ABIcalls (and are thus PIC),
519# not just shared libraries, so don't build the _pic version. 519# not just shared libraries, so don't build the _pic version.
520# 520#
521.if ${MACHINE_ARCH} == "mipsel" || ${MACHINE_ARCH} == "mipseb" 521.if ${MACHINE_ARCH} == "mipsel" || ${MACHINE_ARCH} == "mipseb" || \
 522 ${MACHINE_ARCH} == "mips64el" || ${MACHINE_ARCH} == "mips64eb"
522MKPICLIB:= no 523MKPICLIB:= no
523.endif 524.endif
524 525
525# 526#
526# On VAX using ELF, all objects are PIC, not just shared libraries, 527# On VAX using ELF, all objects are PIC, not just shared libraries,
527# so don't build the _pic version. Unless we are using GCC3 which 528# so don't build the _pic version. Unless we are using GCC3 which
528# doesn't support PIC yet. 529# doesn't support PIC yet.
529# 530#
530.if ${MACHINE_ARCH} == "vax" 531.if ${MACHINE_ARCH} == "vax"
531MKPICLIB= no 532MKPICLIB= no
532.endif 533.endif
533 534
534# 535#
@@ -680,26 +681,27 @@ MKBINUTILS?= ${MKBFD} @@ -680,26 +681,27 @@ MKBINUTILS?= ${MKBFD}
680 MKPAM \ 681 MKPAM \
681 MKPF MKPIC MKPICINSTALL MKPICLIB MKPOSTFIX MKPROFILE \ 682 MKPF MKPIC MKPICINSTALL MKPICLIB MKPOSTFIX MKPROFILE \
682 MKSHARE MKSKEY MKSTATICLIB \ 683 MKSHARE MKSKEY MKSTATICLIB \
683 MKX11FONTS \ 684 MKX11FONTS \
684 MKYP 685 MKYP
685${var}?= yes 686${var}?= yes
686.endfor 687.endfor
687 688
688# 689#
689# MK* options which default to "no". 690# MK* options which default to "no".
690# 691#
691.for var in \ 692.for var in \
692 MKCRYPTO_IDEA MKCRYPTO_MDC2 MKCRYPTO_RC5 MKDEBUG MKDEBUGLIB \ 693 MKCRYPTO_IDEA MKCRYPTO_MDC2 MKCRYPTO_RC5 MKDEBUG MKDEBUGLIB \
 694 MKEXTSRC \
693 MKLVM \ 695 MKLVM \
694 MKMANDOC MKMANZ MKOBJDIRS \ 696 MKMANDOC MKMANZ MKOBJDIRS \
695 MKPCC MKPCCCMDS \ 697 MKPCC MKPCCCMDS \
696 MKSOFTFLOAT MKSTRIPIDENT \ 698 MKSOFTFLOAT MKSTRIPIDENT \
697 MKUNPRIVED MKUPDATE MKX11  699 MKUNPRIVED MKUPDATE MKX11
698${var}?=no 700${var}?=no
699.endfor 701.endfor
700 702
701# 703#
702# Do we default to XFree86 or Xorg for this platform? 704# Do we default to XFree86 or Xorg for this platform?
703# 705#
704.if ${MACHINE} == "alpha" || ${MACHINE} == "acorn32" || \ 706.if ${MACHINE} == "alpha" || ${MACHINE} == "acorn32" || \
705 ${MACHINE} == "amiga" || ${MACHINE} == "cats" || \ 707 ${MACHINE} == "amiga" || ${MACHINE} == "cats" || \
@@ -922,26 +924,45 @@ X11SRCDIR.xf86-input-${_i}?= ${X11SRCDIR @@ -922,26 +924,45 @@ X11SRCDIR.xf86-input-${_i}?= ${X11SRCDIR
922  924
923X11SRCDIR.xf86-video-${_v}?= ${X11SRCDIRMIT}/xf86-video-${_v}/dist 925X11SRCDIR.xf86-video-${_v}?= ${X11SRCDIRMIT}/xf86-video-${_v}/dist
924.endfor 926.endfor
925 927
926.if ${X11FLAVOUR} == "Xorg" 928.if ${X11FLAVOUR} == "Xorg"
927X11DRI?= yes 929X11DRI?= yes
928.endif 930.endif
929 931
930X11DRI?= no 932X11DRI?= no
931X11LOADABLE?= yes 933X11LOADABLE?= yes
932 934
933 935
934# 936#
 937# Where extsrc sources are and where it is installed to.
 938#
 939.if !defined(EXTSRCSRCDIR)
 940.if exists(${NETBSDSRCDIR}/../extsrc)
 941EXTSRCSRCDIR!= cd ${NETBSDSRCDIR}/../extsrc && pwd
 942.else
 943EXTSRCSRCDIR= /usr/extsrc
 944.endif
 945.endif # !defined(EXTSRCSRCDIR)
 946
 947EXTSRCROOTDIR?= /usr/ext
 948EXTSRCBINDIR?= ${EXTSRCROOTDIR}/bin
 949EXTSRCETCDIR?= /etc/ext
 950EXTSRCINCDIR?= ${EXTSRCROOTDIR}/include
 951EXTSRCLIBDIR?= ${EXTSRCROOTDIR}/lib/ext
 952EXTSRCMANDIR?= ${EXTSRCROOTDIR}/man
 953EXTSRCUSRLIBDIR?= ${EXTSRCROOTDIR}/lib
 954
 955#
935# MAKEDIRTARGET dir target [extra make(1) params] 956# MAKEDIRTARGET dir target [extra make(1) params]
936# run "cd $${dir} && ${MAKE} [params] $${target}", with a pretty message 957# run "cd $${dir} && ${MAKE} [params] $${target}", with a pretty message
937# 958#
938MAKEDIRTARGET=\ 959MAKEDIRTARGET=\
939 @_makedirtarget() { \ 960 @_makedirtarget() { \
940 dir="$$1"; shift; \ 961 dir="$$1"; shift; \
941 target="$$1"; shift; \ 962 target="$$1"; shift; \
942 case "$${dir}" in \ 963 case "$${dir}" in \
943 /*) this="$${dir}/"; \ 964 /*) this="$${dir}/"; \
944 real="$${dir}" ;; \ 965 real="$${dir}" ;; \
945 .) this="${_THISDIR_}"; \ 966 .) this="${_THISDIR_}"; \
946 real="${.CURDIR}" ;; \ 967 real="${.CURDIR}" ;; \
947 *) this="${_THISDIR_}$${dir}/"; \ 968 *) this="${_THISDIR_}$${dir}/"; \

cvs diff -r1.185 -r1.186 src/share/mk/bsd.sys.mk (expand / switch to unified diff)

--- src/share/mk/bsd.sys.mk 2009/11/12 14:30:34 1.185
+++ src/share/mk/bsd.sys.mk 2009/11/30 16:13:23 1.186
@@ -1,14 +1,14 @@ @@ -1,14 +1,14 @@
1# $NetBSD: bsd.sys.mk,v 1.185 2009/11/12 14:30:34 tron Exp $ 1# $NetBSD: bsd.sys.mk,v 1.186 2009/11/30 16:13:23 uebayasi Exp $
2# 2#
3# Build definitions used for NetBSD source tree builds. 3# Build definitions used for NetBSD source tree builds.
4 4
5.if !defined(_BSD_SYS_MK_) 5.if !defined(_BSD_SYS_MK_)
6_BSD_SYS_MK_=1 6_BSD_SYS_MK_=1
7 7
8.if defined(WARNS) 8.if defined(WARNS)
9.if ${WARNS} > 0 9.if ${WARNS} > 0
10CFLAGS+= -Wall -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith 10CFLAGS+= -Wall -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith
11#CFLAGS+= -Wmissing-declarations -Wredundant-decls -Wnested-externs 11#CFLAGS+= -Wmissing-declarations -Wredundant-decls -Wnested-externs
12# Add -Wno-sign-compare. -Wsign-compare is included in -Wall as of GCC 3.3, 12# Add -Wno-sign-compare. -Wsign-compare is included in -Wall as of GCC 3.3,
13# but our sources aren't up for it yet. Also, add -Wno-traditional because 13# but our sources aren't up for it yet. Also, add -Wno-traditional because
14# gcc includes #elif in the warnings, which is 'this code will not compile 14# gcc includes #elif in the warnings, which is 'this code will not compile
@@ -43,27 +43,28 @@ CXXFLAGS+= -Wctor-dtor-privacy -Wnon-vir @@ -43,27 +43,28 @@ CXXFLAGS+= -Wctor-dtor-privacy -Wnon-vir
43.if ${WARNS} > 3 && defined(HAVE_GCC) && ${HAVE_GCC} >= 3 43.if ${WARNS} > 3 && defined(HAVE_GCC) && ${HAVE_GCC} >= 3
44CFLAGS+= -Wsign-compare 44CFLAGS+= -Wsign-compare
45CFLAGS+= -std=gnu99 45CFLAGS+= -std=gnu99
46.endif 46.endif
47.endif 47.endif
48 48
49CPPFLAGS+= ${AUDIT:D-D__AUDIT__} 49CPPFLAGS+= ${AUDIT:D-D__AUDIT__}
50CFLAGS+= ${CWARNFLAGS} ${NOGCCERROR:D:U-Werror} 50CFLAGS+= ${CWARNFLAGS} ${NOGCCERROR:D:U-Werror}
51LINTFLAGS+= ${DESTDIR:D-d ${DESTDIR}/usr/include} 51LINTFLAGS+= ${DESTDIR:D-d ${DESTDIR}/usr/include}
52 52
53.if (${MACHINE_ARCH} == "alpha") || \ 53.if (${MACHINE_ARCH} == "alpha") || \
54 (${MACHINE_ARCH} == "hppa") || \ 54 (${MACHINE_ARCH} == "hppa") || \
55 (${MACHINE_ARCH} == "ia64") || \ 55 (${MACHINE_ARCH} == "ia64") || \
56 (${MACHINE_ARCH} == "mipsel") || (${MACHINE_ARCH} == "mipseb") 56 (${MACHINE_ARCH} == "mipsel") || (${MACHINE_ARCH} == "mipseb") || \
 57 (${MACHINE_ARCH} == "mips64el") || (${MACHINE_ARCH} == "mips64eb")
57HAS_SSP= no 58HAS_SSP= no
58.else 59.else
59HAS_SSP= yes 60HAS_SSP= yes
60.endif 61.endif
61 62
62.if defined(USE_FORT) && (${USE_FORT} != "no") 63.if defined(USE_FORT) && (${USE_FORT} != "no")
63USE_SSP?= yes 64USE_SSP?= yes
64.if !defined(KERNSRCDIR) && !defined(KERN) # not for kernels nor kern modules 65.if !defined(KERNSRCDIR) && !defined(KERN) # not for kernels nor kern modules
65CPPFLAGS+= -D_FORTIFY_SOURCE=2 66CPPFLAGS+= -D_FORTIFY_SOURCE=2
66.endif 67.endif
67.endif 68.endif
68 69
69.if defined(USE_SSP) && (${USE_SSP} != "no") && (${BINDIR:Ux} != "/usr/mdec") 70.if defined(USE_SSP) && (${USE_SSP} != "no") && (${BINDIR:Ux} != "/usr/mdec")